import * as _angular_core from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/account/classes/component-reference';
import { I18n } from '@keycloakify/angular/account/i18n';
import { KcContext } from '@keycloakify/angular/account/KcContext';
import { ClassKey } from 'keycloakify/account';

declare class PasswordComponent extends ComponentReference {
    i18n: I18n;
    kcContext: KcContext.Password;
    doUseDefaultCss: boolean;
    classes: Partial<Record<ClassKey, string>>;
    additionalClasses: Partial<Record<ClassKey, string>>;
    active: string;
    currentPassword: _angular_core.WritableSignal<string>;
    newPassword: _angular_core.WritableSignal<string>;
    newPasswordConfirm: _angular_core.WritableSignal<string>;
    newPasswordError: _angular_core.WritableSignal<string>;
    newPasswordConfirmError: _angular_core.WritableSignal<string>;
    hasNewPasswordBlurred: _angular_core.WritableSignal<boolean>;
    hasNewPasswordConfirmBlurred: _angular_core.WritableSignal<boolean>;
    constructor();
    checkNewPassword(newPassword: string): void;
    checkNewPasswordConfirm(newPasswordConfirm: string): void;
    onNewPasswordChange(value: string): void;
    onNewPasswordBlur(): void;
    onNewPasswordConfirmChange(value: string): void;
    onNewPasswordConfirmBlur(): void;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<PasswordComponent, never>;
    static ɵcmp: _angular_core.ɵɵComponentDeclaration<PasswordComponent, "kc-password", never, {}, {}, never, never, true, never>;
}

export { PasswordComponent };
