import * as _angular_core from '@angular/core';
import { Renderer2, Type, ViewContainerRef } from '@angular/core';
import { Meta, Title } from '@angular/platform-browser';
import { ComponentReference } from '@keycloakify/angular/account/classes/component-reference';
import { I18n } from '@keycloakify/angular/account/i18n';
import { KcContext } from '@keycloakify/angular/account/KcContext';
import { AccountResourceInjectorService } from '@keycloakify/angular/account/services/account-resource-injector';
import { ClassKey } from 'keycloakify/account/lib/kcClsx';
import { Observable } from 'rxjs';

type ActiveType = 'account' | 'password' | 'totp' | 'social' | 'sessions' | 'applications' | 'log' | 'authorization' | undefined;
declare class TemplateComponent extends ComponentReference {
    #private;
    i18n: I18n;
    renderer: Renderer2;
    meta: Meta;
    title: Title;
    kcContext: KcContext;
    doUseDefaultCss: boolean;
    classes: Partial<Record<ClassKey, string>>;
    accountResourceInjectorService: AccountResourceInjectorService;
    isReadyToRender$: Observable<boolean>;
    page: _angular_core.InputSignal<Type<unknown> | undefined>;
    pageRef: _angular_core.Signal<ViewContainerRef | undefined>;
    active: ActiveType;
    constructor();
    private applyKcIndexClasses;
    onComponentCreated(compRef: object): void;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<TemplateComponent, never>;
    static ɵcmp: _angular_core.ɵɵComponentDeclaration<TemplateComponent, "kc-root", never, { "page": { "alias": "page"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

export { TemplateComponent };
