export const id = 187;
export const ids = [187];
export const modules = {

/***/ 187:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {


// EXPORTS
__webpack_require__.d(__webpack_exports__, {
  command: () => (/* reexport */ command)
});

// EXTERNAL MODULE: external "child_process"
var external_child_process_ = __webpack_require__(317);
var external_child_process_default = /*#__PURE__*/__webpack_require__.n(external_child_process_);
// EXTERNAL MODULE: ./node_modules/chalk/source/index.js + 6 modules
var source = __webpack_require__(276);
// EXTERNAL MODULE: external "path"
var external_path_ = __webpack_require__(928);
// EXTERNAL MODULE: external "fs"
var external_fs_ = __webpack_require__(896);
// EXTERNAL MODULE: ./node_modules/tsafe/esm/assert.mjs + 1 modules
var assert = __webpack_require__(966);
// EXTERNAL MODULE: ./node_modules/zod/dist/esm/index.js + 9 modules
var esm = __webpack_require__(204);
// EXTERNAL MODULE: ./node_modules/tsafe/esm/id.mjs
var id = __webpack_require__(94);
// EXTERNAL MODULE: ./node_modules/tsafe/esm/is.mjs
var is = __webpack_require__(289);
;// CONCATENATED MODULE: ./dist/bin/initialize-account-theme/updateAccountThemeImplementationInConfig.ts







(0,assert/* assert */.v)();
function updateAccountThemeImplementationInConfig(params) {
    const { buildContext, accountThemeType } = params;
    switch (buildContext.bundler) {
        case 'vite':
            {
                const viteConfigPath = (0,external_path_.join)(buildContext.projectDirPath, 'vite.config.ts');
                if (!external_fs_.existsSync(viteConfigPath)) {
                    console.log(source/* default */.Ay.bold(`You must manually set the accountThemeImplementation to "${accountThemeType}" in your vite config`));
                    break;
                }
                const viteConfigContent = external_fs_.readFileSync(viteConfigPath)
                    .toString('utf8');
                const modifiedViteConfigContent = viteConfigContent.replace(/["']?accountThemeImplementation["']?\s*:\s*["']none["']/, `accountThemeImplementation: '${accountThemeType}'`);
                if (modifiedViteConfigContent === viteConfigContent) {
                    console.log(source/* default */.Ay.yellow(`You must manually set the accountThemeImplementation to "${accountThemeType}" in your vite.config.ts`));
                    break;
                }
                external_fs_.writeFileSync(viteConfigPath, modifiedViteConfigContent);
            }
            break;
        case 'webpack':
            {
                const parsedPackageJson = (() => {
                    const zParsedPackageJson = (() => {
                        const zTargetType = esm.z.object({
                            keycloakify: esm.z.record(esm.z.unknown())
                        });
                        (0,assert/* assert */.v)();
                        return (0,id.id)(zTargetType);
                    })();
                    const parsedPackageJson = JSON.parse(external_fs_.readFileSync(buildContext.packageJsonFilePath).toString('utf8'));
                    zParsedPackageJson.parse(parsedPackageJson);
                    (0,assert/* assert */.v)((0,is.is)(parsedPackageJson));
                    return parsedPackageJson;
                })();
                parsedPackageJson.keycloakify.accountThemeImplementation =
                    accountThemeType;
                external_fs_.writeFileSync(buildContext.packageJsonFilePath, Buffer.from(JSON.stringify(parsedPackageJson, undefined, 4), 'utf8'));
            }
            break;
    }
}

// EXTERNAL MODULE: ./dist/bin/update-kc-gen.ts
var update_kc_gen = __webpack_require__(476);
// EXTERNAL MODULE: ./dist/bin/tools/getThisCodebaseRootDirPath.ts
var getThisCodebaseRootDirPath = __webpack_require__(221);
;// CONCATENATED MODULE: ./dist/bin/initialize-account-theme/initialize-account-theme.ts







async function command(params) {
    const { buildContext } = params;
    const accountThemeSrcDirPath = (0,external_path_.join)(buildContext.themeSrcDirPath, 'account');
    if (external_fs_.existsSync(accountThemeSrcDirPath) &&
        external_fs_.readdirSync(accountThemeSrcDirPath).length > 0) {
        console.warn(source/* default */.Ay.red(`There is already a ${(0,external_path_.relative)(process.cwd(), accountThemeSrcDirPath)} directory in your project. Aborting.`));
        process.exit(-1);
    }
    exit_if_uncommitted_changes: {
        let hasUncommittedChanges = undefined;
        try {
            hasUncommittedChanges =
                external_child_process_default().execSync(`git status --porcelain`, {
                    cwd: buildContext.projectDirPath
                })
                    .toString()
                    .trim() !== '';
        }
        catch (_a) {
            // Probably not a git repository
            break exit_if_uncommitted_changes;
        }
        if (!hasUncommittedChanges) {
            break exit_if_uncommitted_changes;
        }
        console.warn([
            source/* default */.Ay.red('Please commit or stash your changes before running this command.\n'),
            "This command will modify your project's files so it's better to have a clean working directory",
            'so that you can easily see what has been changed and revert if needed.'
        ].join(' '));
        process.exit(-1);
    }
    const accountThemeType = 'Multi-Page';
    external_fs_.cpSync((0,external_path_.join)((0,getThisCodebaseRootDirPath/* getThisCodebaseRootDirPath */.J)(), 'src', 'bin', 'initialize-account-theme', 'boilerplate'), accountThemeSrcDirPath, { recursive: true });
    updateAccountThemeImplementationInConfig({ buildContext, accountThemeType });
    (0,update_kc_gen.command)({
        buildContext: Object.assign(Object.assign({}, buildContext), { implementedThemeTypes: Object.assign(Object.assign({}, buildContext.implementedThemeTypes), { account: {
                    isImplemented: true,
                    type: accountThemeType
                } }) })
    });
    console.log([
        source/* default */.Ay.green(`The ${accountThemeType} account theme has been initialized.`),
        `Directory created: ${source/* default */.Ay.bold((0,external_path_.relative)(process.cwd(), accountThemeSrcDirPath))}`
    ].join('\n'));
}

;// CONCATENATED MODULE: ./dist/bin/initialize-account-theme/index.ts



/***/ }),

/***/ 221:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   J: () => (/* binding */ getThisCodebaseRootDirPath)
/* harmony export */ });
/* harmony import */ var fs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(896);
/* harmony import */ var fs__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(fs__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(928);
/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var url__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(16);
/* harmony import */ var url__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(url__WEBPACK_IMPORTED_MODULE_2__);



const __dirname = path__WEBPACK_IMPORTED_MODULE_1__.dirname(url__WEBPACK_IMPORTED_MODULE_2__.fileURLToPath(import.meta.url));
function getThisCodebaseRootDirPath_rec(dirPath) {
    if (fs__WEBPACK_IMPORTED_MODULE_0__.existsSync(path__WEBPACK_IMPORTED_MODULE_1__.join(dirPath, 'LICENSE'))) {
        return dirPath;
    }
    return getThisCodebaseRootDirPath_rec(path__WEBPACK_IMPORTED_MODULE_1__.join(dirPath, '..'));
}
let result = undefined;
function getThisCodebaseRootDirPath() {
    if (result !== undefined) {
        return result;
    }
    return (result = getThisCodebaseRootDirPath_rec(__dirname));
}


/***/ }),

/***/ 395:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   p: () => (/* binding */ getNodeModulesBinDirPath)
/* harmony export */ });
/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(928);
/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_0__);

let cache = undefined;
function getNodeModulesBinDirPath() {
    if (cache !== undefined) {
        return cache;
    }
    const binPath = process.argv[1];
    const segments = ['.bin'];
    let foundNodeModules = false;
    for (const segment of binPath.split(path__WEBPACK_IMPORTED_MODULE_0__.sep).reverse()) {
        skip_segment: {
            if (foundNodeModules) {
                break skip_segment;
            }
            if (segment === 'node_modules') {
                foundNodeModules = true;
                break skip_segment;
            }
            continue;
        }
        segments.unshift(segment);
    }
    const nodeModulesBinDirPath = segments.join(path__WEBPACK_IMPORTED_MODULE_0__.sep);
    cache = nodeModulesBinDirPath;
    return nodeModulesBinDirPath;
}


/***/ }),

/***/ 972:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   M: () => (/* binding */ readThisNpmPackageVersion)
/* harmony export */ });
/* harmony import */ var _getThisCodebaseRootDirPath__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(221);
/* harmony import */ var tsafe_assert__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(966);
/* harmony import */ var fs__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(896);
/* harmony import */ var fs__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(fs__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(928);
/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_2__);




let cache = undefined;
function readThisNpmPackageVersion() {
    if (cache !== undefined) {
        return cache;
    }
    const version = JSON.parse(fs__WEBPACK_IMPORTED_MODULE_1__.readFileSync((0,path__WEBPACK_IMPORTED_MODULE_2__.join)((0,_getThisCodebaseRootDirPath__WEBPACK_IMPORTED_MODULE_3__/* .getThisCodebaseRootDirPath */ .J)(), 'package.json'))
        .toString('utf8'))['version'];
    (0,tsafe_assert__WEBPACK_IMPORTED_MODULE_0__/* .assert */ .v)(typeof version === 'string');
    cache = version;
    return version;
}


/***/ }),

/***/ 915:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   JS: () => (/* binding */ runPrettier),
/* harmony export */   L: () => (/* binding */ getIsPrettierAvailable)
/* harmony export */ });
/* unused harmony export getPrettier */
/* harmony import */ var _nodeModulesBinDirPath__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(395);
/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(928);
/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var fs_promises__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(943);
/* harmony import */ var fs_promises__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(fs_promises__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var tsafe_id__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(94);
/* harmony import */ var tsafe_assert__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(966);
/* harmony import */ var chalk__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(276);
/* harmony import */ var crypto__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(982);
/* harmony import */ var crypto__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(crypto__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var tsafe_is__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(289);
/* harmony import */ var tsafe_symToStr__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(886);
/* harmony import */ var _readThisNpmPackageVersion__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(972);
/* module decorator */ module = __webpack_require__.hmd(module);










getIsPrettierAvailable.cache = (0,tsafe_id__WEBPACK_IMPORTED_MODULE_5__.id)(undefined);
async function getIsPrettierAvailable() {
    var _a;
    if (getIsPrettierAvailable.cache !== undefined) {
        return getIsPrettierAvailable.cache;
    }
    const nodeModulesBinDirPath = (0,_nodeModulesBinDirPath__WEBPACK_IMPORTED_MODULE_6__/* .getNodeModulesBinDirPath */ .p)();
    const prettierBinPath = (0,path__WEBPACK_IMPORTED_MODULE_0__.join)(nodeModulesBinDirPath, 'prettier');
    const stats = await fs_promises__WEBPACK_IMPORTED_MODULE_1__.stat(prettierBinPath).catch(() => undefined);
    const isPrettierAvailable = (_a = stats === null || stats === void 0 ? void 0 : stats.isFile()) !== null && _a !== void 0 ? _a : false;
    getIsPrettierAvailable.cache = isPrettierAvailable;
    return isPrettierAvailable;
}
getPrettier.cache = (0,tsafe_id__WEBPACK_IMPORTED_MODULE_5__.id)(undefined);
async function getPrettier() {
    (0,tsafe_assert__WEBPACK_IMPORTED_MODULE_2__/* .assert */ .v)(getIsPrettierAvailable());
    if (getPrettier.cache !== undefined) {
        return getPrettier.cache;
    }
    let prettier = (0,tsafe_id__WEBPACK_IMPORTED_MODULE_5__.id)(undefined);
    import_prettier: {
        // NOTE: When module is linked we want to make sure we import the correct version
        // of prettier, that is the one of the project, not the one of this repo.
        // So we do a sketchy eval to bypass ncc.
        // We make sure to only do that when linking, otherwise we import properly.
        if ((0,_readThisNpmPackageVersion__WEBPACK_IMPORTED_MODULE_7__/* .readThisNpmPackageVersion */ .M)().startsWith('0.0.0')) {
            const prettierDirPath = (0,path__WEBPACK_IMPORTED_MODULE_0__.resolve)((0,path__WEBPACK_IMPORTED_MODULE_0__.join)((0,_nodeModulesBinDirPath__WEBPACK_IMPORTED_MODULE_6__/* .getNodeModulesBinDirPath */ .p)(), '..', 'prettier'));
            const isCJS =  true && module.exports;
            if (isCJS) {
                eval(`${(0,tsafe_symToStr__WEBPACK_IMPORTED_MODULE_8__/* .symToStr */ .I)({ prettier })} = require("${prettierDirPath}")`);
            }
            else {
                prettier = await new Promise(_resolve => {
                    eval(`import("file:///${(0,path__WEBPACK_IMPORTED_MODULE_0__.join)(prettierDirPath, 'index.mjs').replace(/\\/g, '/')}").then(prettier => _resolve(prettier))`);
                });
            }
            (0,tsafe_assert__WEBPACK_IMPORTED_MODULE_2__/* .assert */ .v)(!(0,tsafe_is__WEBPACK_IMPORTED_MODULE_4__.is)(prettier));
            break import_prettier;
        }
        prettier = await Promise.resolve(/* import() */).then(__webpack_require__.bind(__webpack_require__, 166));
    }
    const configHash = await (async () => {
        const configFilePath = await prettier.resolveConfigFile((0,path__WEBPACK_IMPORTED_MODULE_0__.join)((0,_nodeModulesBinDirPath__WEBPACK_IMPORTED_MODULE_6__/* .getNodeModulesBinDirPath */ .p)(), '..'));
        if (configFilePath === null) {
            return '';
        }
        const data = await fs_promises__WEBPACK_IMPORTED_MODULE_1__.readFile(configFilePath);
        return crypto__WEBPACK_IMPORTED_MODULE_3__.createHash('sha256').update(data).digest('hex');
    })();
    const prettierAndConfig = {
        prettier,
        configHash
    };
    getPrettier.cache = prettierAndConfig;
    return prettierAndConfig;
}
async function runPrettier(params) {
    const { sourceCode, filePath } = params;
    let formattedSourceCode;
    try {
        const { prettier } = await getPrettier();
        const { ignored, inferredParser } = await prettier.getFileInfo(filePath, {
            resolveConfig: true
        });
        if (ignored) {
            return sourceCode;
        }
        const config = await prettier.resolveConfig(filePath);
        formattedSourceCode = await prettier.format(sourceCode, Object.assign(Object.assign({}, config), { filePath, parser: inferredParser !== null && inferredParser !== void 0 ? inferredParser : undefined }));
    }
    catch (error) {
        console.log(chalk__WEBPACK_IMPORTED_MODULE_9__/* ["default"] */ .Ay.red(`You probably need to upgrade the version of prettier in your project`));
        throw error;
    }
    return formattedSourceCode;
}


/***/ }),

/***/ 476:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   command: () => (/* binding */ command)
/* harmony export */ });
/* harmony import */ var fs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(896);
/* harmony import */ var fs__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(fs__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(928);
/* harmony import */ var path__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(path__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _tools_runPrettier__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(915);
/* harmony import */ var crypto__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(982);
/* harmony import */ var crypto__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(crypto__WEBPACK_IMPORTED_MODULE_2__);




async function command(params) {
    const { buildContext } = params;
    const filePath = (0,path__WEBPACK_IMPORTED_MODULE_1__.join)(buildContext.themeSrcDirPath, 'kc.gen.ts');
    const implementedThemeTypes = ['login', 'account'].filter(themeType => buildContext.implementedThemeTypes[themeType].isImplemented);
    const newContent = [
        ``,
        `/* eslint-disable */`,
        ``,
        `// @ts-nocheck`,
        ``,
        `// noinspection JSUnusedGlobalSymbols`,
        ``,
        `import type { ComponentRef, EnvironmentProviders, Type } from "@angular/core";`,
        ``,
        `export type ThemeName = ${buildContext.themeNames.map(themeName => `"${themeName}"`).join(' | ')};`,
        ``,
        `export const themeNames: ThemeName[] = [${buildContext.themeNames.map(themeName => `"${themeName}"`).join(', ')}];`,
        ``,
        `export type KcEnvName = ${buildContext.environmentVariables.length === 0 ? 'never' : buildContext.environmentVariables.map(({ name }) => `"${name}"`).join(' | ')};`,
        ``,
        `export const kcEnvNames: KcEnvName[] = [${buildContext.environmentVariables.map(({ name }) => `"${name}"`).join(', ')}];`,
        ``,
        `export const kcEnvDefaults: Record<KcEnvName, string> = ${JSON.stringify(Object.fromEntries(buildContext.environmentVariables.map(({ name, default: defaultValue }) => [name, defaultValue])), null, 2)};`,
        ``,
        `export type KcContext =`,
        ...implementedThemeTypes.map(themeType => `    | import("./${themeType}/KcContext").KcContext`),
        `    ;`,
        ``,
        `declare global {`,
        `    interface Window {`,
        `        kcContext?: KcContext;`,
        `    }`,
        `}`,
        ``,
        `type ApplicationRefLike = {`,
        `    components: ComponentRef<any>[];`,
        `};`,
        ``,
        `export async function bootstrapKcApplication(params: {`,
        `    kcContext: KcContext;`,
        `    bootstrapApplication: (params: {`,
        `        KcRootComponent: Type<unknown>;`,
        `        kcProvider: EnvironmentProviders;`,
        `    }) => Promise<ApplicationRefLike>;`,
        `}) {`,
        `    const { kcContext, bootstrapApplication } = params;`,
        ``,
        `    switch (kcContext.themeType) {`,
        ...['login', 'account']
            .filter(themeType => buildContext.implementedThemeTypes[themeType].isImplemented)
            .map(themeType => [
            `        case "${themeType}":`,
            `            {`,
            `                const [`,
            `                    { provideKeycloakifyAngular },`,
            `                    { getI18n },`,
            `                    {`,
            `                        PageComponent,`,
            `                        TemplateComponent,`,
            `                        doUseDefaultCss,`,
            `                        classes,`,
            ...(themeType === 'login'
                ? [
                    `                        UserProfileFormFieldsComponent,`,
                    `                        doMakeUserConfirmPassword,`
                ]
                : []),
            `                    },`,
            `                ] = await Promise.all([`,
            `                    import('@keycloakify/angular/${themeType}/providers/keycloakify-angular'),`,
            `                    import('./${themeType}/i18n'),`,
            `                    import('./${themeType}/KcPage').then(({ getKcPage }) => getKcPage(kcContext.pageId)),`,
            `                ] as const);`,
            ``,
            `                const appRef = await bootstrapApplication({`,
            `                    KcRootComponent: TemplateComponent,`,
            `                    kcProvider: provideKeycloakifyAngular({`,
            `                        kcContext,`,
            `                        classes,`,
            `                        getI18n,`,
            `                        doUseDefaultCss,`,
            ...(themeType === 'login'
                ? [`                        doMakeUserConfirmPassword,`]
                : []),
            `                    })`,
            `                });`,
            ``,
            `                appRef.components.forEach(componentRef => {`,
            `                    // page must be defined first          `,
            `                    if ("page" in componentRef.instance) {`,
            `                        componentRef.setInput("page", PageComponent);`,
            `                    }`,
            ...(themeType === 'login'
                ? [
                    `                    if ("userProfileFormFields" in componentRef.instance) {`,
                    `                        componentRef.setInput(`,
                    `                            "userProfileFormFields",`,
                    `                            UserProfileFormFieldsComponent`,
                    `                        );`,
                    `                    }`
                ]
                : []),
            `                });`,
            `            }`,
            `            break;`
        ])
            .flat(),
        `    }`,
        `}`,
        ``
    ].join('\n');
    const hash = crypto__WEBPACK_IMPORTED_MODULE_2__.createHash('sha256').update(newContent).digest('hex');
    skip_if_no_changes: {
        if (!fs__WEBPACK_IMPORTED_MODULE_0__.existsSync(filePath)) {
            break skip_if_no_changes;
        }
        const currentContent = fs__WEBPACK_IMPORTED_MODULE_0__.readFileSync(filePath).toString('utf8');
        if (!currentContent.includes(hash)) {
            break skip_if_no_changes;
        }
        return;
    }
    let sourceCode = [
        `// This file is auto-generated by keycloakify. Do not edit it manually.`,
        `// Hash: ${hash}`,
        ``,
        newContent
    ].join('\n');
    run_prettier: {
        if (!(await (0,_tools_runPrettier__WEBPACK_IMPORTED_MODULE_3__/* .getIsPrettierAvailable */ .L)())) {
            break run_prettier;
        }
        sourceCode = await (0,_tools_runPrettier__WEBPACK_IMPORTED_MODULE_3__/* .runPrettier */ .JS)({
            filePath,
            sourceCode
        });
    }
    fs__WEBPACK_IMPORTED_MODULE_0__.writeFileSync(filePath, Buffer.from(sourceCode, 'utf8'));
}


/***/ })

};
