import { NgClass } from '@angular/common';
import * as i0 from '@angular/core';
import { inject, forwardRef, Component } from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/account/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/account/directives/kc-class';
import { ACCOUNT_CLASSES } from '@keycloakify/angular/account/tokens/classes';
import { ACCOUNT_I18N } from '@keycloakify/angular/account/tokens/i18n';
import { KC_ACCOUNT_CONTEXT } from '@keycloakify/angular/account/tokens/kc-context';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';

class FederatedIdentityComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.i18n = inject(ACCOUNT_I18N);
        this.kcContext = inject(KC_ACCOUNT_CONTEXT);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(ACCOUNT_CLASSES);
        this.active = 'social';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: FederatedIdentityComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: FederatedIdentityComponent, isStandalone: true, selector: "kc-federated-identity", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => FederatedIdentityComponent)
            }
        ], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let federatedIdentity = kcContext.federatedIdentity;\n@let stateChecker = kcContext.stateChecker;\n\n<div class=\"main-layout social\">\n    <div class=\"row\">\n        <div class=\"col-md-10\">\n            <h2>{{ i18n.msgStr('federatedIdentitiesHtmlTitle') }}</h2>\n        </div>\n    </div>\n    <div id=\"federated-identities\">\n        @for (identity of federatedIdentity.identities; track identity) {\n            <div class=\"row margin-bottom\">\n                <div class=\"col-sm-2 col-md-2\">\n                    <label\n                        class=\"control-label\"\n                        [for]=\"identity.providerId\"\n                    >\n                        {{ identity.displayName }}\n                    </label>\n                </div>\n                <div class=\"col-sm-5 col-md-5\">\n                    <input\n                        disabled\n                        class=\"form-control\"\n                        [value]=\"identity.userName\"\n                    />\n                </div>\n                <div class=\"col-sm-5 col-md-5\">\n                    @if (identity.connected) {\n                        @if (federatedIdentity.removeLinkPossible) {\n                            <form\n                                method=\"post\"\n                                class=\"form-inline\"\n                                [action]=\"url.socialUrl\"\n                            >\n                                <input\n                                    type=\"hidden\"\n                                    name=\"stateChecker\"\n                                    [value]=\"stateChecker\"\n                                />\n                                <input\n                                    type=\"hidden\"\n                                    name=\"action\"\n                                    value=\"remove\"\n                                />\n                                <input\n                                    type=\"hidden\"\n                                    name=\"providerId\"\n                                    [value]=\"identity.providerId\"\n                                />\n                                <button\n                                    class=\"btn btn-default\"\n                                    [id]=\"'remove-link-' + identity.providerId\"\n                                >\n                                    {{ i18n.msgStr('doRemove') }}\n                                </button>\n                            </form>\n                        }\n                    } @else {\n                        <form\n                            method=\"post\"\n                            class=\"form-inline\"\n                            [action]=\"url.socialUrl\"\n                        >\n                            <input\n                                type=\"hidden\"\n                                name=\"stateChecker\"\n                                [value]=\"stateChecker\"\n                            />\n                            <input\n                                type=\"hidden\"\n                                name=\"action\"\n                                value=\"add\"\n                            />\n                            <input\n                                type=\"hidden\"\n                                name=\"providerId\"\n                                [value]=\"identity.providerId\"\n                            />\n                            <button\n                                class=\"btn btn-default\"\n                                [id]=\"'add-link-' + identity.providerId\"\n                            >\n                                {{ i18n.msgStr('doAdd') }}\n                            </button>\n                        </form>\n                    }\n                </div>\n            </div>\n        }\n    </div>\n</div>\n" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: FederatedIdentityComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective, NgClass], selector: 'kc-federated-identity', providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => FederatedIdentityComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let federatedIdentity = kcContext.federatedIdentity;\n@let stateChecker = kcContext.stateChecker;\n\n<div class=\"main-layout social\">\n    <div class=\"row\">\n        <div class=\"col-md-10\">\n            <h2>{{ i18n.msgStr('federatedIdentitiesHtmlTitle') }}</h2>\n        </div>\n    </div>\n    <div id=\"federated-identities\">\n        @for (identity of federatedIdentity.identities; track identity) {\n            <div class=\"row margin-bottom\">\n                <div class=\"col-sm-2 col-md-2\">\n                    <label\n                        class=\"control-label\"\n                        [for]=\"identity.providerId\"\n                    >\n                        {{ identity.displayName }}\n                    </label>\n                </div>\n                <div class=\"col-sm-5 col-md-5\">\n                    <input\n                        disabled\n                        class=\"form-control\"\n                        [value]=\"identity.userName\"\n                    />\n                </div>\n                <div class=\"col-sm-5 col-md-5\">\n                    @if (identity.connected) {\n                        @if (federatedIdentity.removeLinkPossible) {\n                            <form\n                                method=\"post\"\n                                class=\"form-inline\"\n                                [action]=\"url.socialUrl\"\n                            >\n                                <input\n                                    type=\"hidden\"\n                                    name=\"stateChecker\"\n                                    [value]=\"stateChecker\"\n                                />\n                                <input\n                                    type=\"hidden\"\n                                    name=\"action\"\n                                    value=\"remove\"\n                                />\n                                <input\n                                    type=\"hidden\"\n                                    name=\"providerId\"\n                                    [value]=\"identity.providerId\"\n                                />\n                                <button\n                                    class=\"btn btn-default\"\n                                    [id]=\"'remove-link-' + identity.providerId\"\n                                >\n                                    {{ i18n.msgStr('doRemove') }}\n                                </button>\n                            </form>\n                        }\n                    } @else {\n                        <form\n                            method=\"post\"\n                            class=\"form-inline\"\n                            [action]=\"url.socialUrl\"\n                        >\n                            <input\n                                type=\"hidden\"\n                                name=\"stateChecker\"\n                                [value]=\"stateChecker\"\n                            />\n                            <input\n                                type=\"hidden\"\n                                name=\"action\"\n                                value=\"add\"\n                            />\n                            <input\n                                type=\"hidden\"\n                                name=\"providerId\"\n                                [value]=\"identity.providerId\"\n                            />\n                            <button\n                                class=\"btn btn-default\"\n                                [id]=\"'add-link-' + identity.providerId\"\n                            >\n                                {{ i18n.msgStr('doAdd') }}\n                            </button>\n                        </form>\n                    }\n                </div>\n            </div>\n        }\n    </div>\n</div>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { FederatedIdentityComponent };
//# sourceMappingURL=keycloakify-angular-account-pages-federatedIdentity.mjs.map
