import { DatePipe, NgClass } from '@angular/common';
import * as i0 from '@angular/core';
import { inject, forwardRef, Component } from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/account/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/account/directives/kc-class';
import { ACCOUNT_CLASSES } from '@keycloakify/angular/account/tokens/classes';
import { ACCOUNT_I18N } from '@keycloakify/angular/account/tokens/i18n';
import { KC_ACCOUNT_CONTEXT } from '@keycloakify/angular/account/tokens/kc-context';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';

class LogComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.i18n = inject(ACCOUNT_I18N);
        this.kcContext = inject(KC_ACCOUNT_CONTEXT);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(ACCOUNT_CLASSES);
        this.active = 'log';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LogComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: LogComponent, isStandalone: true, selector: "kc-log", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LogComponent)
            }
        ], usesInheritance: true, ngImport: i0, template: "@let log = kcContext.log;\n\n<div [kcClass]=\"'kcContentWrapperClass'\">\n    <div class=\"col-md-10\">\n        <h2>{{ i18n.msgStr('accountLogHtmlTitle') }}</h2>\n    </div>\n\n    <table class=\"table table-striped table-bordered\">\n        <thead>\n            <tr>\n                <td>{{ i18n.msgStr('date') }}</td>\n                <td>{{ i18n.msgStr('event') }}</td>\n                <td>{{ i18n.msgStr('ip') }}</td>\n                <td>{{ i18n.msgStr('client') }}</td>\n                <td>{{ i18n.msgStr('details') }}</td>\n            </tr>\n        </thead>\n\n        <tbody>\n            @for (event of log.events; track event) {\n                <tr>\n                    <td>{{ event.date ? (event.date | date) : '' }}</td>\n                    <td>{{ event.event }}</td>\n                    <td>{{ event.ipAddress }}</td>\n                    <td>{{ event.client || '' }}</td>\n                    <td>\n                        @for (detail of event.details; track detail; let last = $last) {\n                            <span>\n                                {{ detail.key }} = {{ detail.value }}\n                                @if (!last) {\n                                    ,&nbsp;\n                                }\n                            </span>\n                        }\n                    </td>\n                </tr>\n            }\n        </tbody>\n    </table>\n</div>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }, { kind: "pipe", type: DatePipe, name: "date" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LogComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective, NgClass, DatePipe], selector: 'kc-log', providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LogComponent)
                        }
                    ], template: "@let log = kcContext.log;\n\n<div [kcClass]=\"'kcContentWrapperClass'\">\n    <div class=\"col-md-10\">\n        <h2>{{ i18n.msgStr('accountLogHtmlTitle') }}</h2>\n    </div>\n\n    <table class=\"table table-striped table-bordered\">\n        <thead>\n            <tr>\n                <td>{{ i18n.msgStr('date') }}</td>\n                <td>{{ i18n.msgStr('event') }}</td>\n                <td>{{ i18n.msgStr('ip') }}</td>\n                <td>{{ i18n.msgStr('client') }}</td>\n                <td>{{ i18n.msgStr('details') }}</td>\n            </tr>\n        </thead>\n\n        <tbody>\n            @for (event of log.events; track event) {\n                <tr>\n                    <td>{{ event.date ? (event.date | date) : '' }}</td>\n                    <td>{{ event.event }}</td>\n                    <td>{{ event.ipAddress }}</td>\n                    <td>{{ event.client || '' }}</td>\n                    <td>\n                        @for (detail of event.details; track detail; let last = $last) {\n                            <span>\n                                {{ detail.key }} = {{ detail.value }}\n                                @if (!last) {\n                                    ,&nbsp;\n                                }\n                            </span>\n                        }\n                    </td>\n                </tr>\n            }\n        </tbody>\n    </table>\n</div>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LogComponent };
//# sourceMappingURL=keycloakify-angular-account-pages-log.mjs.map
