import { NgClass } from '@angular/common';
import * as i0 from '@angular/core';
import { inject, forwardRef, Component } from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/account/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/account/directives/kc-class';
import { ACCOUNT_CLASSES } from '@keycloakify/angular/account/tokens/classes';
import { ACCOUNT_I18N } from '@keycloakify/angular/account/tokens/i18n';
import { KC_ACCOUNT_CONTEXT } from '@keycloakify/angular/account/tokens/kc-context';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';

class SessionsComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.i18n = inject(ACCOUNT_I18N);
        this.kcContext = inject(KC_ACCOUNT_CONTEXT);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(ACCOUNT_CLASSES);
        this.active = 'sessions';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: SessionsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: SessionsComponent, isStandalone: true, selector: "kc-sessions", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => SessionsComponent)
            }
        ], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let sessions = kcContext.sessions;\n@let stateChecker = kcContext.stateChecker;\n\n<div [kcClass]=\"'kcContentWrapperClass'\">\n    <div class=\"col-md-10\">\n        <h2>{{ i18n.msgStr('sessionsHtmlTitle') }}</h2>\n    </div>\n</div>\n\n<table class=\"table table-striped table-bordered\">\n    <thead>\n        <tr>\n            <th>{{ i18n.msgStr('ip') }}</th>\n            <th>{{ i18n.msgStr('started') }}</th>\n            <th>{{ i18n.msgStr('lastAccess') }}</th>\n            <th>{{ i18n.msgStr('expires') }}</th>\n            <th>{{ i18n.msgStr('clients') }}</th>\n        </tr>\n    </thead>\n\n    <tbody role=\"rowgroup\">\n        @for (session of sessions.sessions; track session) {\n            <tr>\n                <td>{{ session.ipAddress }}</td>\n                <td>{{ session?.started }}</td>\n                <td>{{ session?.lastAccess }}</td>\n                <td>{{ session?.expires }}</td>\n                <td>\n                    @for (client of session.clients; track client) {\n                        <div>\n                            {{ client }}\n                            <br />\n                        </div>\n                    }\n                </td>\n            </tr>\n        }\n    </tbody>\n</table>\n\n<form\n    method=\"post\"\n    [action]=\"url.sessionsUrl\"\n>\n    <input\n        type=\"hidden\"\n        id=\"stateChecker\"\n        name=\"stateChecker\"\n        [value]=\"stateChecker\"\n    />\n    <button\n        id=\"logout-all-sessions\"\n        type=\"submit\"\n        [kcClass]=\"['kcButtonDefaultClass', 'kcButtonClass']\"\n    >\n        {{ i18n.msgStr('doLogOutAllSessions') }}\n    </button>\n</form>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: SessionsComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective, NgClass], selector: 'kc-sessions', providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => SessionsComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let sessions = kcContext.sessions;\n@let stateChecker = kcContext.stateChecker;\n\n<div [kcClass]=\"'kcContentWrapperClass'\">\n    <div class=\"col-md-10\">\n        <h2>{{ i18n.msgStr('sessionsHtmlTitle') }}</h2>\n    </div>\n</div>\n\n<table class=\"table table-striped table-bordered\">\n    <thead>\n        <tr>\n            <th>{{ i18n.msgStr('ip') }}</th>\n            <th>{{ i18n.msgStr('started') }}</th>\n            <th>{{ i18n.msgStr('lastAccess') }}</th>\n            <th>{{ i18n.msgStr('expires') }}</th>\n            <th>{{ i18n.msgStr('clients') }}</th>\n        </tr>\n    </thead>\n\n    <tbody role=\"rowgroup\">\n        @for (session of sessions.sessions; track session) {\n            <tr>\n                <td>{{ session.ipAddress }}</td>\n                <td>{{ session?.started }}</td>\n                <td>{{ session?.lastAccess }}</td>\n                <td>{{ session?.expires }}</td>\n                <td>\n                    @for (client of session.clients; track client) {\n                        <div>\n                            {{ client }}\n                            <br />\n                        </div>\n                    }\n                </td>\n            </tr>\n        }\n    </tbody>\n</table>\n\n<form\n    method=\"post\"\n    [action]=\"url.sessionsUrl\"\n>\n    <input\n        type=\"hidden\"\n        id=\"stateChecker\"\n        name=\"stateChecker\"\n        [value]=\"stateChecker\"\n    />\n    <button\n        id=\"logout-all-sessions\"\n        type=\"submit\"\n        [kcClass]=\"['kcButtonDefaultClass', 'kcButtonClass']\"\n    >\n        {{ i18n.msgStr('doLogOutAllSessions') }}\n    </button>\n</form>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { SessionsComponent };
//# sourceMappingURL=keycloakify-angular-account-pages-sessions.mjs.map
