import * as i0 from '@angular/core';
import { inject, Injectable } from '@angular/core';
import { KC_ACCOUNT_CONTEXT } from '@keycloakify/angular/account/tokens/kc-context';
import { ResourceInjectorService } from '@keycloakify/angular/lib/services/resource-injector';
import { of, forkJoin, switchMap, catchError } from 'rxjs';

class AccountResourceInjectorService {
    constructor() {
        this.kcContext = inject(KC_ACCOUNT_CONTEXT);
        this.resourceInjectorService = inject(ResourceInjectorService);
    }
    injectResource(doUseDefaultCss = true) {
        if (!doUseDefaultCss) {
            return of(true);
        }
        const stylesheets = [
            `${this.kcContext.url.resourcesCommonPath}/node_modules/patternfly/dist/css/patternfly.min.css`,
            `${this.kcContext.url.resourcesCommonPath}/node_modules/patternfly/dist/css/patternfly-additions.min.css`,
            `${this.kcContext.url.resourcesPath}/css/account.css`
        ];
        return forkJoin(stylesheets.map(url => this.resourceInjectorService.createLink(url))).pipe(switchMap(() => of(true)), catchError(error => {
            console.error('Error loading styles:', error);
            return of(false);
        }));
    }
    insertAdditionalScripts(scripts) {
        scripts.map(script => this.resourceInjectorService.createScript(script));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: AccountResourceInjectorService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: AccountResourceInjectorService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: AccountResourceInjectorService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { AccountResourceInjectorService };
//# sourceMappingURL=keycloakify-angular-account-services-account-resource-injector.mjs.map
