import * as i0 from '@angular/core';
import { inject, Pipe } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';

class KcSanitizePipe {
    #sanitizer = inject(DomSanitizer);
    transform(value, type) {
        switch (type) {
            case 'html':
                return this.#sanitizer.bypassSecurityTrustHtml(value);
            case 'style':
                return this.#sanitizer.bypassSecurityTrustStyle(value);
            case 'script':
                return this.#sanitizer.bypassSecurityTrustScript(value);
            case 'url':
                return this.#sanitizer.bypassSecurityTrustUrl(value);
            case 'resourceUrl':
                return this.#sanitizer.bypassSecurityTrustResourceUrl(value);
            default:
                throw new Error(`Invalid safe type specified: ${type}`);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: KcSanitizePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "20.0.3", ngImport: i0, type: KcSanitizePipe, isStandalone: true, name: "kcSanitize" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: KcSanitizePipe, decorators: [{
            type: Pipe,
            args: [{ name: 'kcSanitize' }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { KcSanitizePipe };
//# sourceMappingURL=keycloakify-angular-lib-pipes-kc-sanitize.mjs.map
