import * as i0 from '@angular/core';
import { inject, input, output, computed, ChangeDetectionStrategy, Component } from '@angular/core';
import { getButtonToDisplayForMultivaluedAttributeField } from '@keycloakify/angular/login/services/user-profile-form';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';

class AddRemoveButtonsMultiValuedAttributeComponent {
    constructor() {
        this.i18n = inject(LOGIN_I18N);
        this.attribute = input();
        this.values = input();
        this.fieldIndex = input();
        this.dispatchFormAction = output();
        this.hasRemove = computed(() => {
            const attribute = this.attribute();
            const values = this.values();
            const fieldIndex = this.fieldIndex();
            if (attribute && values && fieldIndex) {
                return getButtonToDisplayForMultivaluedAttributeField({
                    attribute,
                    values,
                    fieldIndex
                }).hasRemove;
            }
            return false;
        });
        this.hasAdd = computed(() => {
            const attribute = this.attribute();
            const values = this.values();
            const fieldIndex = this.fieldIndex();
            if (attribute && values && fieldIndex) {
                return getButtonToDisplayForMultivaluedAttributeField({
                    attribute,
                    values,
                    fieldIndex
                }).hasAdd;
            }
            return false;
        });
    }
    onAdd() {
        this.dispatchFormAction.emit({
            action: 'update',
            name: this.attribute()?.name ?? '',
            valueOrValues: [...(this.values() ?? []), '']
        });
    }
    onRemove() {
        this.dispatchFormAction.emit({
            action: 'update',
            name: this.attribute()?.name ?? '',
            valueOrValues: (this.values() ?? []).filter((_, i) => i !== this.fieldIndex())
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: AddRemoveButtonsMultiValuedAttributeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: AddRemoveButtonsMultiValuedAttributeComponent, isStandalone: true, selector: "kc-add-remove-buttons-multi-valued-attribute", inputs: { attribute: { classPropertyName: "attribute", publicName: "attribute", isSignal: true, isRequired: false, transformFunction: null }, values: { classPropertyName: "values", publicName: "values", isSignal: true, isRequired: false, transformFunction: null }, fieldIndex: { classPropertyName: "fieldIndex", publicName: "fieldIndex", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { dispatchFormAction: "dispatchFormAction" }, ngImport: i0, template: "@let idPostfix = attribute()?.name ?? '' + '-' + (fieldIndex() ?? 0 + 1);\n@if (hasRemove()) {\n    <button\n        type=\"button\"\n        class=\"pf-c-button pf-m-inline pf-m-link\"\n        [id]=\"'kc-remove-' + idPostfix\"\n        (click)=\"onRemove()\"\n    >\n        {{ i18n.msgStr('remove') }}\n    </button>\n    @if (hasAdd()) {\n        &nbsp;|&nbsp;\n    }\n}\n@if (hasAdd()) {\n    <button\n        type=\"button\"\n        class=\"pf-c-button pf-m-inline pf-m-link\"\n        [id]=\"'kc-add-' + idPostfix\"\n        (click)=\"onAdd()\"\n    >\n        {{ i18n.msgStr('addValue') }}\n    </button>\n}\n", styles: [":host{display:contents}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: AddRemoveButtonsMultiValuedAttributeComponent, decorators: [{
            type: Component,
            args: [{ imports: [], selector: 'kc-add-remove-buttons-multi-valued-attribute', changeDetection: ChangeDetectionStrategy.OnPush, template: "@let idPostfix = attribute()?.name ?? '' + '-' + (fieldIndex() ?? 0 + 1);\n@if (hasRemove()) {\n    <button\n        type=\"button\"\n        class=\"pf-c-button pf-m-inline pf-m-link\"\n        [id]=\"'kc-remove-' + idPostfix\"\n        (click)=\"onRemove()\"\n    >\n        {{ i18n.msgStr('remove') }}\n    </button>\n    @if (hasAdd()) {\n        &nbsp;|&nbsp;\n    }\n}\n@if (hasAdd()) {\n    <button\n        type=\"button\"\n        class=\"pf-c-button pf-m-inline pf-m-link\"\n        [id]=\"'kc-add-' + idPostfix\"\n        (click)=\"onAdd()\"\n    >\n        {{ i18n.msgStr('addValue') }}\n    </button>\n}\n", styles: [":host{display:contents}\n"] }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { AddRemoveButtonsMultiValuedAttributeComponent };
//# sourceMappingURL=keycloakify-angular-login-components-add-remove-buttons-multi-valued-attribute.mjs.map
