import * as i0 from '@angular/core';
import { input, inject, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';

class FieldErrorsComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.attribute = input();
        this.displayableErrors = input();
        this.fieldIndex = input();
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: FieldErrorsComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: FieldErrorsComponent, isStandalone: true, selector: "kc-field-errors", inputs: { attribute: { classPropertyName: "attribute", publicName: "attribute", isSignal: true, isRequired: false, transformFunction: null }, displayableErrors: { classPropertyName: "displayableErrors", publicName: "displayableErrors", isSignal: true, isRequired: false, transformFunction: null }, fieldIndex: { classPropertyName: "fieldIndex", publicName: "fieldIndex", isSignal: true, isRequired: false, transformFunction: null } }, providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => FieldErrorsComponent)
            }
        ], usesInheritance: true, ngImport: i0, template: "@let index = fieldIndex();\n<span\n    aria-live=\"polite\"\n    [id]=\"'input-error-' + attribute.name + (index === undefined ? '' : '-' + index)\"\n    [kcClass]=\"'kcInputErrorMessageClass'\"\n>\n    @for (error of displayableErrors(); track error; let i = $index) {\n        @if (error.fieldIndex === index) {\n            <span [innerHTML]=\"error.errorMessage\"></span>\n            @if (displayableErrors()?.length ?? 0 - 1 !== i) {\n                <br />\n            }\n        }\n    }\n</span>\n", styles: [":host{display:contents}\n"], dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: FieldErrorsComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-field-errors', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => FieldErrorsComponent)
                        }
                    ], template: "@let index = fieldIndex();\n<span\n    aria-live=\"polite\"\n    [id]=\"'input-error-' + attribute.name + (index === undefined ? '' : '-' + index)\"\n    [kcClass]=\"'kcInputErrorMessageClass'\"\n>\n    @for (error of displayableErrors(); track error; let i = $index) {\n        @if (error.fieldIndex === index) {\n            <span [innerHTML]=\"error.errorMessage\"></span>\n            @if (displayableErrors()?.length ?? 0 - 1 !== i) {\n                <br />\n            }\n        }\n    }\n</span>\n", styles: [":host{display:contents}\n"] }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { FieldErrorsComponent };
//# sourceMappingURL=keycloakify-angular-login-components-field-errors.mjs.map
