import * as i0 from '@angular/core';
import { inject, input, computed, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { AttributesDirective } from '@keycloakify/angular/lib/directives/attributes';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';

class GroupLabelComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.i18n = inject(LOGIN_I18N);
        this.attribute = input();
        this.groupName = input();
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.groupNameRef = computed(() => {
            const attribute = this.attribute();
            const groupName = this.groupName();
            if (attribute?.group?.name !== groupName) {
                return attribute?.group?.name ?? '';
            }
            return '';
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: GroupLabelComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: GroupLabelComponent, isStandalone: true, selector: "kc-group-label", inputs: { attribute: { classPropertyName: "attribute", publicName: "attribute", isSignal: true, isRequired: false, transformFunction: null }, groupName: { classPropertyName: "groupName", publicName: "groupName", isSignal: true, isRequired: false, transformFunction: null } }, providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => GroupLabelComponent)
            }
        ], usesInheritance: true, ngImport: i0, template: "@let attr = attribute();\n@let groupName = groupNameRef();\n@if (attr && groupName !== '') {\n    <div\n        [kcClass]=\"'kcFormGroupClass'\"\n        [kcAttributes]=\"attr.group?.html5DataAnnotations\"\n    >\n        @let groupDisplayHeader = attr.group?.displayHeader ?? '';\n        @let groupHeaderText = groupDisplayHeader !== '' ? groupDisplayHeader : (attr.group?.name ?? '');\n        <div [kcClass]=\"'kcContentWrapperClass'\">\n            <label\n                [id]=\"'header-' + attr.group?.name\"\n                [kcClass]=\"'kcFormGroupHeader'\"\n            >\n                {{ i18n.advancedMsgStr(groupHeaderText) }}\n            </label>\n        </div>\n        @let groupDisplayDescription = attr.group?.displayDescription ?? '';\n        @if (groupDisplayDescription !== '') {\n            <div [kcClass]=\"'kcLabelWrapperClass'\">\n                <label\n                    [id]=\"'description-' + attr.group?.name\"\n                    [kcClass]=\"'kcLabelClass'\"\n                >\n                    {{ i18n.advancedMsgStr(groupDisplayDescription) }}\n                </label>\n            </div>\n        }\n    </div>\n}\n", styles: [":host{display:contents}\n"], dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }, { kind: "directive", type: AttributesDirective, selector: "[kcAttributes]", inputs: ["kcAttributes"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: GroupLabelComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective, AttributesDirective], selector: 'kc-group-label', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => GroupLabelComponent)
                        }
                    ], template: "@let attr = attribute();\n@let groupName = groupNameRef();\n@if (attr && groupName !== '') {\n    <div\n        [kcClass]=\"'kcFormGroupClass'\"\n        [kcAttributes]=\"attr.group?.html5DataAnnotations\"\n    >\n        @let groupDisplayHeader = attr.group?.displayHeader ?? '';\n        @let groupHeaderText = groupDisplayHeader !== '' ? groupDisplayHeader : (attr.group?.name ?? '');\n        <div [kcClass]=\"'kcContentWrapperClass'\">\n            <label\n                [id]=\"'header-' + attr.group?.name\"\n                [kcClass]=\"'kcFormGroupHeader'\"\n            >\n                {{ i18n.advancedMsgStr(groupHeaderText) }}\n            </label>\n        </div>\n        @let groupDisplayDescription = attr.group?.displayDescription ?? '';\n        @if (groupDisplayDescription !== '') {\n            <div [kcClass]=\"'kcLabelWrapperClass'\">\n                <label\n                    [id]=\"'description-' + attr.group?.name\"\n                    [kcClass]=\"'kcLabelClass'\"\n                >\n                    {{ i18n.advancedMsgStr(groupDisplayDescription) }}\n                </label>\n            </div>\n        }\n    </div>\n}\n", styles: [":host{display:contents}\n"] }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { GroupLabelComponent };
//# sourceMappingURL=keycloakify-angular-login-components-group-label.mjs.map
