import { AsyncPipe } from '@angular/common';
import * as i0 from '@angular/core';
import { inject, Renderer2, input, signal, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';

class PasswordWrapperComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.i18n = inject(LOGIN_I18N);
        this.renderer = inject(Renderer2);
        this.passwordInputId = input.required();
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.isPasswordRevealed = signal(false);
    }
    togglePasswordVisibility() {
        this.isPasswordRevealed.update(revealed => !revealed);
        this.setPasswordInputType();
    }
    setPasswordInputType() {
        const input = document.getElementById(this.passwordInputId());
        if (input) {
            this.renderer.setProperty(input, 'type', this.isPasswordRevealed() ? 'text' : 'password');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: PasswordWrapperComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.1.0", version: "20.0.3", type: PasswordWrapperComponent, isStandalone: true, selector: "kc-password-wrapper", inputs: { passwordInputId: { classPropertyName: "passwordInputId", publicName: "passwordInputId", isSignal: true, isRequired: true, transformFunction: null } }, providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => PasswordWrapperComponent)
            }
        ], usesInheritance: true, ngImport: i0, template: "<div [kcClass]=\"'kcInputGroup'\">\n    <ng-content />\n    <button\n        type=\"button\"\n        [kcClass]=\"'kcFormPasswordVisibilityButtonClass'\"\n        [attr.aria-label]=\"i18n.msgStr(isPasswordRevealed() ? 'hidePassword' : 'showPassword')\"\n        [attr.aria-controls]=\"passwordInputId()\"\n        (click)=\"togglePasswordVisibility()\"\n    >\n        <i\n            aria-hidden=\"true\"\n            [kcClass]=\"isPasswordRevealed() ? 'kcFormPasswordVisibilityIconHide' : 'kcFormPasswordVisibilityIconShow'\"\n        ></i>\n    </button>\n</div>\n", styles: [":host{display:contents}\n"], dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: PasswordWrapperComponent, decorators: [{
            type: Component,
            args: [{ selector: 'kc-password-wrapper', changeDetection: ChangeDetectionStrategy.OnPush, imports: [KcClassDirective, AsyncPipe], providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => PasswordWrapperComponent)
                        }
                    ], template: "<div [kcClass]=\"'kcInputGroup'\">\n    <ng-content />\n    <button\n        type=\"button\"\n        [kcClass]=\"'kcFormPasswordVisibilityButtonClass'\"\n        [attr.aria-label]=\"i18n.msgStr(isPasswordRevealed() ? 'hidePassword' : 'showPassword')\"\n        [attr.aria-controls]=\"passwordInputId()\"\n        (click)=\"togglePasswordVisibility()\"\n    >\n        <i\n            aria-hidden=\"true\"\n            [kcClass]=\"isPasswordRevealed() ? 'kcFormPasswordVisibilityIconHide' : 'kcFormPasswordVisibilityIconShow'\"\n        ></i>\n    </button>\n</div>\n", styles: [":host{display:contents}\n"] }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { PasswordWrapperComponent };
//# sourceMappingURL=keycloakify-angular-login-components-password-wrapper.mjs.map
