import * as i0 from '@angular/core';
import { input, output, inject, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { ToNumberPipe } from '@keycloakify/angular/lib/pipes/to-number';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';

class TextareaTagComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.attribute = input();
        this.value = input();
        this.displayableErrors = input();
        this.dispatchFormAction = output();
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
    }
    onChange(event) {
        this.dispatchFormAction.emit({
            action: 'update',
            name: this.attribute()?.name ?? '',
            valueOrValues: event.target.value
        });
    }
    onBlur() {
        this.dispatchFormAction.emit({
            action: 'focus lost',
            name: this.attribute()?.name ?? '',
            fieldIndex: undefined
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TextareaTagComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: TextareaTagComponent, isStandalone: true, selector: "kc-textarea-tag", inputs: { attribute: { classPropertyName: "attribute", publicName: "attribute", isSignal: true, isRequired: false, transformFunction: null }, value: { classPropertyName: "value", publicName: "value", isSignal: true, isRequired: false, transformFunction: null }, displayableErrors: { classPropertyName: "displayableErrors", publicName: "displayableErrors", isSignal: true, isRequired: false, transformFunction: null } }, outputs: { dispatchFormAction: "dispatchFormAction" }, providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => TextareaTagComponent)
            }
        ], usesInheritance: true, ngImport: i0, template: "@let attr = attribute();\n@if (attr) {\n    <textarea\n        [id]=\"attr.name\"\n        [name]=\"attr.name\"\n        [kcClass]=\"'kcInputClass'\"\n        [attr.aria-invalid]=\"!!displayableErrors()?.length\"\n        [disabled]=\"attr.readOnly\"\n        [cols]=\"attr.annotations.inputTypeCols === undefined ? undefined : (attr.annotations.inputTypeCols | toNumber)\"\n        [rows]=\"attr.annotations.inputTypeRows === undefined ? undefined : (attr.annotations.inputTypeRows | toNumber)\"\n        [maxLength]=\"attr.annotations.inputTypeMaxlength === undefined ? undefined : (attr.annotations.inputTypeMaxlength | toNumber)\"\n        [value]=\"value()\"\n        (change)=\"onChange($event)\"\n        (blur)=\"onBlur()\"\n    ></textarea>\n}\n", styles: [":host{display:contents}\n"], dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }, { kind: "pipe", type: ToNumberPipe, name: "toNumber" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: TextareaTagComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective, ToNumberPipe], selector: 'kc-textarea-tag', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => TextareaTagComponent)
                        }
                    ], template: "@let attr = attribute();\n@if (attr) {\n    <textarea\n        [id]=\"attr.name\"\n        [name]=\"attr.name\"\n        [kcClass]=\"'kcInputClass'\"\n        [attr.aria-invalid]=\"!!displayableErrors()?.length\"\n        [disabled]=\"attr.readOnly\"\n        [cols]=\"attr.annotations.inputTypeCols === undefined ? undefined : (attr.annotations.inputTypeCols | toNumber)\"\n        [rows]=\"attr.annotations.inputTypeRows === undefined ? undefined : (attr.annotations.inputTypeRows | toNumber)\"\n        [maxLength]=\"attr.annotations.inputTypeMaxlength === undefined ? undefined : (attr.annotations.inputTypeMaxlength | toNumber)\"\n        [value]=\"value()\"\n        (change)=\"onChange($event)\"\n        (blur)=\"onBlur()\"\n    ></textarea>\n}\n", styles: [":host{display:contents}\n"] }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { TextareaTagComponent };
//# sourceMappingURL=keycloakify-angular-login-components-textarea-tag.mjs.map
