import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class CodeComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = false;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: CodeComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: CodeComponent, isStandalone: true, selector: "kc-code", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => CodeComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let code = kcContext.code;\n\n<ng-template #headerNode>\n    @let code = kcContext.code;\n    @if (code.success) {\n        {{ i18n.msgStr('codeSuccessTitle') }}\n    } @else {\n        {{ i18n.msgStr('codeErrorTitle', code.error) }}\n    }\n</ng-template>\n\n<div id=\"kc-code\">\n    @if (code.success) {\n        <p>{{ i18n.msgStr('copyCodeInstruction') }}</p>\n        <input\n            id=\"code\"\n            [kcClass]=\"'kcTextareaClass'\"\n            [defaultValue]=\"code.code\"\n        />\n    } @else {\n        <p id=\"error\">{{ code.error }}</p>\n    }\n</div>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: CodeComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-code', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => CodeComponent)
                        }
                    ], template: "@let code = kcContext.code;\n\n<ng-template #headerNode>\n    @let code = kcContext.code;\n    @if (code.success) {\n        {{ i18n.msgStr('codeSuccessTitle') }}\n    } @else {\n        {{ i18n.msgStr('codeErrorTitle', code.error) }}\n    }\n</ng-template>\n\n<div id=\"kc-code\">\n    @if (code.success) {\n        <p>{{ i18n.msgStr('copyCodeInstruction') }}</p>\n        <input\n            id=\"code\"\n            [kcClass]=\"'kcTextareaClass'\"\n            [defaultValue]=\"code.code\"\n        />\n    } @else {\n        <p id=\"error\">{{ code.error }}</p>\n    }\n</div>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { CodeComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-code.mjs.map
