import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class DeleteAccountConfirmComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = false;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: DeleteAccountConfirmComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: DeleteAccountConfirmComponent, isStandalone: true, selector: "kc-delete-account-confirm", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => DeleteAccountConfirmComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let triggered_from_aia = kcContext.triggered_from_aia;\n<ng-template #headerNode>\n    {{ i18n.msgStr('deleteAccountConfirm') }}\n</ng-template>\n<form\n    method=\"post\"\n    class=\"form-actions\"\n    [action]=\"url.loginAction\"\n>\n    <div\n        class=\"alert alert-warning\"\n        style=\"margin-top: 0; margin-bottom: 30px\"\n    >\n        <span class=\"pficon pficon-warning-triangle-o\"></span>\n        {{ i18n.msgStr('irreversibleAction') }}\n    </div>\n    <p>{{ i18n.msgStr('deletingImplies') }}</p>\n    <ul style=\"color: #72767b; list-style: disc; list-style-position: inside\">\n        <li>{{ i18n.msgStr('loggingOutImmediately') }}</li>\n        <li>{{ i18n.msgStr('errasingData') }}</li>\n    </ul>\n    <p class=\"delete-account-text\">\n        {{ i18n.msgStr('finalDeletionConfirmation') }}\n    </p>\n    <div id=\"kc-form-buttons\">\n        <input\n            type=\"submit\"\n            [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonLargeClass']\"\n            [value]=\"i18n.msgStr('doConfirmDelete')\"\n        />\n        @if (triggered_from_aia) {\n            <button\n                style=\"margin-left: calc(100% - 220px)\"\n                type=\"submit\"\n                name=\"cancel-aia\"\n                value=\"true\"\n                [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonLargeClass']\"\n            >\n                {{ i18n.msgStr('doCancel') }}\n            </button>\n        }\n    </div>\n</form>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: DeleteAccountConfirmComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-delete-account-confirm', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => DeleteAccountConfirmComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let triggered_from_aia = kcContext.triggered_from_aia;\n<ng-template #headerNode>\n    {{ i18n.msgStr('deleteAccountConfirm') }}\n</ng-template>\n<form\n    method=\"post\"\n    class=\"form-actions\"\n    [action]=\"url.loginAction\"\n>\n    <div\n        class=\"alert alert-warning\"\n        style=\"margin-top: 0; margin-bottom: 30px\"\n    >\n        <span class=\"pficon pficon-warning-triangle-o\"></span>\n        {{ i18n.msgStr('irreversibleAction') }}\n    </div>\n    <p>{{ i18n.msgStr('deletingImplies') }}</p>\n    <ul style=\"color: #72767b; list-style: disc; list-style-position: inside\">\n        <li>{{ i18n.msgStr('loggingOutImmediately') }}</li>\n        <li>{{ i18n.msgStr('errasingData') }}</li>\n    </ul>\n    <p class=\"delete-account-text\">\n        {{ i18n.msgStr('finalDeletionConfirmation') }}\n    </p>\n    <div id=\"kc-form-buttons\">\n        <input\n            type=\"submit\"\n            [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonLargeClass']\"\n            [value]=\"i18n.msgStr('doConfirmDelete')\"\n        />\n        @if (triggered_from_aia) {\n            <button\n                style=\"margin-left: calc(100% - 220px)\"\n                type=\"submit\"\n                name=\"cancel-aia\"\n                value=\"true\"\n                [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonLargeClass']\"\n            >\n                {{ i18n.msgStr('doCancel') }}\n            </button>\n        }\n    </div>\n</form>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { DeleteAccountConfirmComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-delete-account-confirm.mjs.map
