import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class DeleteCredentialComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = false;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: DeleteCredentialComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.2.0", version: "20.0.3", type: DeleteCredentialComponent, isStandalone: true, selector: "kc-delete-credential", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => DeleteCredentialComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let credentialLabel = kcContext.credentialLabel;\n<ng-template #headerNode>\n    @let credentialLabel = kcContext.credentialLabel;\n    {{ i18n.msgStr('deleteCredentialTitle', credentialLabel) }}\n</ng-template>\n\n<div id=\"kc-delete-text\">\n    {{ i18n.msgStr('deleteCredentialMessage', credentialLabel) }}\n</div>\n\n<form\n    class=\"form-actions\"\n    method=\"post\"\n    [action]=\"url.loginAction\"\n>\n    <input\n        name=\"accept\"\n        id=\"kc-accept\"\n        type=\"submit\"\n        [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonLargeClass']\"\n        [value]=\"i18n.msgStr('doConfirmDelete')\"\n    />\n\n    <input\n        name=\"cancel-aia\"\n        id=\"kc-decline\"\n        type=\"submit\"\n        [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonLargeClass']\"\n        [value]=\"i18n.msgStr('doCancel')\"\n    />\n</form>\n<div class=\"clearfix\"></div>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: DeleteCredentialComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-delete-credential', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => DeleteCredentialComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let credentialLabel = kcContext.credentialLabel;\n<ng-template #headerNode>\n    @let credentialLabel = kcContext.credentialLabel;\n    {{ i18n.msgStr('deleteCredentialTitle', credentialLabel) }}\n</ng-template>\n\n<div id=\"kc-delete-text\">\n    {{ i18n.msgStr('deleteCredentialMessage', credentialLabel) }}\n</div>\n\n<form\n    class=\"form-actions\"\n    method=\"post\"\n    [action]=\"url.loginAction\"\n>\n    <input\n        name=\"accept\"\n        id=\"kc-accept\"\n        type=\"submit\"\n        [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonLargeClass']\"\n        [value]=\"i18n.msgStr('doConfirmDelete')\"\n    />\n\n    <input\n        name=\"cancel-aia\"\n        id=\"kc-decline\"\n        type=\"submit\"\n        [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonLargeClass']\"\n        [value]=\"i18n.msgStr('doCancel')\"\n    />\n</form>\n<div class=\"clearfix\"></div>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { DeleteCredentialComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-delete-credential.mjs.map
