import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { KcSanitizePipe } from '@keycloakify/angular/lib/pipes/kc-sanitize';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class ErrorComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = false;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: ErrorComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: ErrorComponent, isStandalone: true, selector: "kc-error", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => ErrorComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let message = kcContext.message;\n@let skipLink = kcContext.skipLink;\n@let client = kcContext.client;\n<ng-template #headerNode>\n    {{ i18n.msgStr('errorTitle') }}\n</ng-template>\n\n<div id=\"kc-error-message\">\n    <p\n        class=\"instruction\"\n        [innerHTML]=\"message.summary | kcSanitize: 'html'\"\n    ></p>\n    @if (!skipLink && !!client?.baseUrl) {\n        <p>\n            <a\n                id=\"backToApplication\"\n                [href]=\"client.baseUrl\"\n                [innerHTML]=\"i18n.msgStr('backToApplication') | kcSanitize: 'html'\"\n            ></a>\n        </p>\n    }\n</div>\n", dependencies: [{ kind: "pipe", type: KcSanitizePipe, name: "kcSanitize" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: ErrorComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcSanitizePipe], selector: 'kc-error', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => ErrorComponent)
                        }
                    ], template: "@let message = kcContext.message;\n@let skipLink = kcContext.skipLink;\n@let client = kcContext.client;\n<ng-template #headerNode>\n    {{ i18n.msgStr('errorTitle') }}\n</ng-template>\n\n<div id=\"kc-error-message\">\n    <p\n        class=\"instruction\"\n        [innerHTML]=\"message.summary | kcSanitize: 'html'\"\n    ></p>\n    @if (!skipLink && !!client?.baseUrl) {\n        <p>\n            <a\n                id=\"backToApplication\"\n                [href]=\"client.baseUrl\"\n                [innerHTML]=\"i18n.msgStr('backToApplication') | kcSanitize: 'html'\"\n            ></a>\n        </p>\n    }\n</div>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { ErrorComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-error.mjs.map
