import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { KcSanitizePipe } from '@keycloakify/angular/lib/pipes/kc-sanitize';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class FrontchannelLogoutComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.documentTitle = this.i18n.msgStr('frontchannel-logout.title');
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = false;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    ngOnInit() {
        if (this.kcContext.logout.logoutRedirectUri) {
            window.location.replace(this.kcContext.logout.logoutRedirectUri);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: FrontchannelLogoutComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: FrontchannelLogoutComponent, isStandalone: true, selector: "kc-frontchannel-logout", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => FrontchannelLogoutComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let logout = kcContext.logout;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('frontchannel-logout.title') }}\n</ng-template>\n<p>{{ i18n.msgStr('frontchannel-logout.message') }}</p>\n<ul>\n    @for (client of logout.clients; track client.name; let idx = $index) {\n        <li>\n            {{ client.name }}\n            <iframe\n                style=\"display: none\"\n                [src]=\"client.frontChannelLogoutUrl | kcSanitize: 'resourceUrl'\"\n            ></iframe>\n        </li>\n    }\n</ul>\n@if (logout.logoutRedirectUri) {\n    <a\n        id=\"continue\"\n        class=\"btn btn-primary\"\n        [href]=\"logout.logoutRedirectUri\"\n    >\n        {{ i18n.msgStr('doContinue') }}\n    </a>\n}\n", dependencies: [{ kind: "pipe", type: KcSanitizePipe, name: "kcSanitize" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: FrontchannelLogoutComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcSanitizePipe], selector: 'kc-frontchannel-logout', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => FrontchannelLogoutComponent)
                        }
                    ], template: "@let logout = kcContext.logout;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('frontchannel-logout.title') }}\n</ng-template>\n<p>{{ i18n.msgStr('frontchannel-logout.message') }}</p>\n<ul>\n    @for (client of logout.clients; track client.name; let idx = $index) {\n        <li>\n            {{ client.name }}\n            <iframe\n                style=\"display: none\"\n                [src]=\"client.frontChannelLogoutUrl | kcSanitize: 'resourceUrl'\"\n            ></iframe>\n        </li>\n    }\n</ul>\n@if (logout.logoutRedirectUri) {\n    <a\n        id=\"continue\"\n        class=\"btn btn-primary\"\n        [href]=\"logout.logoutRedirectUri\"\n    >\n        {{ i18n.msgStr('doContinue') }}\n    </a>\n}\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { FrontchannelLogoutComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-frontchannel-logout.mjs.map
