import { NgComponentOutlet } from '@angular/common';
import * as i0 from '@angular/core';
import { inject, viewChild, input, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { toSignal } from '@angular/core/rxjs-interop';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { UserProfileFormService } from '@keycloakify/angular/login/services/user-profile-form';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';
import { map } from 'rxjs';

class IdpReviewUserProfileComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.#userProfileFormService = inject(UserProfileFormService);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = true;
        this.displayInfo = false;
        this.displayMessage = this.kcContext?.messagesPerField?.existsError('global');
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
        this.userProfileFormFields = input();
        this.isFormSubmittable = toSignal(this.#userProfileFormService.formState$.pipe(map(s => s.isFormSubmittable)), { initialValue: false });
    }
    #userProfileFormService;
    onCallback() {
        document.getElementById('kc-register-form').submit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: IdpReviewUserProfileComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.2.0", version: "20.0.3", type: IdpReviewUserProfileComponent, isStandalone: true, selector: "kc-idp-review-user-profile", inputs: { userProfileFormFields: { classPropertyName: "userProfileFormFields", publicName: "userProfileFormFields", isSignal: true, isRequired: false, transformFunction: null } }, providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => IdpReviewUserProfileComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('loginIdpReviewProfileTitle') }}\n</ng-template>\n<form\n    id=\"kc-idp-review-profile-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <ng-container [ngComponentOutlet]=\"userProfileFormFields() ?? null\" />\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div\n            id=\"kc-form-options\"\n            [kcClass]=\"'kcFormOptionsClass'\"\n        >\n            <div [kcClass]=\"'kcFormOptionsWrapperClass'\"></div>\n        </div>\n        <div\n            id=\"kc-form-buttons\"\n            [kcClass]=\"'kcFormButtonsClass'\"\n        >\n            <input\n                type=\"submit\"\n                [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n                [value]=\"i18n.msgStr('doSubmit')\"\n                [disabled]=\"!isFormSubmittable()\"\n            />\n        </div>\n    </div>\n</form>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }, { kind: "directive", type: NgComponentOutlet, selector: "[ngComponentOutlet]", inputs: ["ngComponentOutlet", "ngComponentOutletInputs", "ngComponentOutletInjector", "ngComponentOutletContent", "ngComponentOutletNgModule", "ngComponentOutletNgModuleFactory"], exportAs: ["ngComponentOutlet"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: IdpReviewUserProfileComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective, NgComponentOutlet], selector: 'kc-idp-review-user-profile', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => IdpReviewUserProfileComponent)
                        }
                    ], template: "@let url = kcContext.url;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('loginIdpReviewProfileTitle') }}\n</ng-template>\n<form\n    id=\"kc-idp-review-profile-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <ng-container [ngComponentOutlet]=\"userProfileFormFields() ?? null\" />\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div\n            id=\"kc-form-options\"\n            [kcClass]=\"'kcFormOptionsClass'\"\n        >\n            <div [kcClass]=\"'kcFormOptionsWrapperClass'\"></div>\n        </div>\n        <div\n            id=\"kc-form-buttons\"\n            [kcClass]=\"'kcFormButtonsClass'\"\n        >\n            <input\n                type=\"submit\"\n                [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n                [value]=\"i18n.msgStr('doSubmit')\"\n                [disabled]=\"!isFormSubmittable()\"\n            />\n        </div>\n    </div>\n</form>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { IdpReviewUserProfileComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-idp-review-user-profile.mjs.map
