import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class LoginIdpLinkConfirmOverrideComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = this.kcContext.messagesPerField.existsError('totp', 'userLabel');
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginIdpLinkConfirmOverrideComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.2.0", version: "20.0.3", type: LoginIdpLinkConfirmOverrideComponent, isStandalone: true, selector: "kc-login-idp-link-confirm-override", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LoginIdpLinkConfirmOverrideComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let idpDisplayName = kcContext.idpDisplayName;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('confirmOverrideIdpTitle') }}\n</ng-template>\n<form\n    id=\"kc-register-form\"\n    method=\"post\"\n    [action]=\"url.loginAction\"\n>\n    {{ i18n.msgStr('pageExpiredMsg1') }}\n    <a\n        id=\"loginRestartLink\"\n        [href]=\"url.loginRestartFlowUrl\"\n    >\n        {{ i18n.msgStr('doClickHere') }}\n    </a>\n    <br />\n    <br />\n    <button\n        type=\"submit\"\n        name=\"submitAction\"\n        id=\"confirmOverride\"\n        value=\"confirmOverride\"\n        [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n    >\n        {{ i18n.msgStr('confirmOverrideIdpContinue', idpDisplayName) }}\n    </button>\n</form>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginIdpLinkConfirmOverrideComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-login-idp-link-confirm-override', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LoginIdpLinkConfirmOverrideComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let idpDisplayName = kcContext.idpDisplayName;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('confirmOverrideIdpTitle') }}\n</ng-template>\n<form\n    id=\"kc-register-form\"\n    method=\"post\"\n    [action]=\"url.loginAction\"\n>\n    {{ i18n.msgStr('pageExpiredMsg1') }}\n    <a\n        id=\"loginRestartLink\"\n        [href]=\"url.loginRestartFlowUrl\"\n    >\n        {{ i18n.msgStr('doClickHere') }}\n    </a>\n    <br />\n    <br />\n    <button\n        type=\"submit\"\n        name=\"submitAction\"\n        id=\"confirmOverride\"\n        value=\"confirmOverride\"\n        [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n    >\n        {{ i18n.msgStr('confirmOverrideIdpContinue', idpDisplayName) }}\n    </button>\n</form>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LoginIdpLinkConfirmOverrideComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-login-idp-link-confirm-override.mjs.map
