import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class LoginIdpLinkConfirmComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = this.kcContext.messagesPerField.existsError('totp', 'userLabel');
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginIdpLinkConfirmComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.2.0", version: "20.0.3", type: LoginIdpLinkConfirmComponent, isStandalone: true, selector: "kc-login-idp-link-confirm", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LoginIdpLinkConfirmComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let idpAlias = kcContext.idpAlias;\n<ng-template #headerNode>\n    {{ i18n.msgStr('confirmLinkIdpTitle') }}\n</ng-template>\n<form\n    id=\"kc-register-form\"\n    method=\"post\"\n    [action]=\"url.loginAction\"\n>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <button\n            type=\"submit\"\n            name=\"submitAction\"\n            id=\"updateProfile\"\n            value=\"updateProfile\"\n            [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n        >\n            {{ i18n.msgStr('confirmLinkIdpReviewProfile') }}\n        </button>\n        <button\n            type=\"submit\"\n            name=\"submitAction\"\n            id=\"linkAccount\"\n            value=\"linkAccount\"\n            [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n        >\n            {{ i18n.msgStr('confirmLinkIdpContinue', idpAlias) }}\n        </button>\n    </div>\n</form>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginIdpLinkConfirmComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-login-idp-link-confirm', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LoginIdpLinkConfirmComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let idpAlias = kcContext.idpAlias;\n<ng-template #headerNode>\n    {{ i18n.msgStr('confirmLinkIdpTitle') }}\n</ng-template>\n<form\n    id=\"kc-register-form\"\n    method=\"post\"\n    [action]=\"url.loginAction\"\n>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <button\n            type=\"submit\"\n            name=\"submitAction\"\n            id=\"updateProfile\"\n            value=\"updateProfile\"\n            [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n        >\n            {{ i18n.msgStr('confirmLinkIdpReviewProfile') }}\n        </button>\n        <button\n            type=\"submit\"\n            name=\"submitAction\"\n            id=\"linkAccount\"\n            value=\"linkAccount\"\n            [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n        >\n            {{ i18n.msgStr('confirmLinkIdpContinue', idpAlias) }}\n        </button>\n    </div>\n</form>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LoginIdpLinkConfirmComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-login-idp-link-confirm.mjs.map
