import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class LoginIdpLinkEmailComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = false;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginIdpLinkEmailComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.2.0", version: "20.0.3", type: LoginIdpLinkEmailComponent, isStandalone: true, selector: "kc-login-idp-link-email", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LoginIdpLinkEmailComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let idpAlias = kcContext.idpAlias;\n@let brokerContext = kcContext.brokerContext;\n@let realm = kcContext.realm;\n@let url = kcContext.url;\n\n<ng-template #headerNode>\n    @let idpAlias = kcContext.idpAlias;\n    {{ i18n.msgStr('emailLinkIdpTitle', idpAlias) }}\n</ng-template>\n<p\n    id=\"instruction1\"\n    class=\"instruction\"\n>\n    {{ i18n.msgStr('emailLinkIdp1', idpAlias, brokerContext.username, realm.displayName) }}\n</p>\n<p\n    id=\"instruction2\"\n    class=\"instruction\"\n>\n    {{ i18n.msgStr('emailLinkIdp2') }}\n    <a [href]=\"url.loginAction\">{{ i18n.msgStr('doClickHere') }}</a>\n    {{ i18n.msgStr('emailLinkIdp3') }}\n</p>\n<p\n    id=\"instruction3\"\n    class=\"instruction\"\n>\n    {{ i18n.msgStr('emailLinkIdp4') }}\n    <a [href]=\"url.loginAction\">{{ i18n.msgStr('doClickHere') }}</a>\n    {{ i18n.msgStr('emailLinkIdp5') }}\n</p>\n", changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginIdpLinkEmailComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-login-idp-link-email', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LoginIdpLinkEmailComponent)
                        }
                    ], template: "@let idpAlias = kcContext.idpAlias;\n@let brokerContext = kcContext.brokerContext;\n@let realm = kcContext.realm;\n@let url = kcContext.url;\n\n<ng-template #headerNode>\n    @let idpAlias = kcContext.idpAlias;\n    {{ i18n.msgStr('emailLinkIdpTitle', idpAlias) }}\n</ng-template>\n<p\n    id=\"instruction1\"\n    class=\"instruction\"\n>\n    {{ i18n.msgStr('emailLinkIdp1', idpAlias, brokerContext.username, realm.displayName) }}\n</p>\n<p\n    id=\"instruction2\"\n    class=\"instruction\"\n>\n    {{ i18n.msgStr('emailLinkIdp2') }}\n    <a [href]=\"url.loginAction\">{{ i18n.msgStr('doClickHere') }}</a>\n    {{ i18n.msgStr('emailLinkIdp3') }}\n</p>\n<p\n    id=\"instruction3\"\n    class=\"instruction\"\n>\n    {{ i18n.msgStr('emailLinkIdp4') }}\n    <a [href]=\"url.loginAction\">{{ i18n.msgStr('doClickHere') }}</a>\n    {{ i18n.msgStr('emailLinkIdp5') }}\n</p>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LoginIdpLinkEmailComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-login-idp-link-email.mjs.map
