import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class LoginOauthGrantComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.bodyClassName = 'oauth';
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = false;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginOauthGrantComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: LoginOauthGrantComponent, isStandalone: true, selector: "kc-login-oauth-grant", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LoginOauthGrantComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let client = kcContext.client;\n@let oauth = kcContext.oauth;\n@let url = kcContext.url;\n\n<ng-template #headerNode>\n    @let client = kcContext.client;\n    @if (client.attributes['logoUri']) {\n        <img\n            alt=\"\"\n            [src]=\"client.attributes['logoUri']\"\n        />\n    }\n    <p>\n        {{ i18n.msgStr('oauthGrantTitle', client.name ? i18n.advancedMsgStr(client.name) : client.clientId) }}\n    </p>\n</ng-template>\n\n<div\n    id=\"kc-oauth\"\n    class=\"content-area\"\n>\n    <h3>{{ i18n.msgStr('oauthGrantRequest') }}</h3>\n    <ul>\n        @for (clientScope of oauth.clientScopesRequested; track clientScope) {\n            <li>\n                <span>\n                    {{ i18n.advancedMsgStr(clientScope.consentScreenText) }}\n                    @if (clientScope.dynamicScopeParameter) {\n                        : <b>{{ clientScope.dynamicScopeParameter }}</b>\n                    }\n                </span>\n            </li>\n        }\n    </ul>\n\n    @if (client.attributes['policyUri'] || client.attributes['tosUri']) {\n        <h3>\n            @if (client.name) {\n                {{ i18n.msgStr('oauthGrantInformation', i18n.advancedMsgStr(client.name)) }}\n            } @else {\n                {{ i18n.msgStr('oauthGrantInformation', client.clientId) }}\n            }\n            @if (client.attributes['policyUri']) {\n                {{ i18n.msgStr('oauthGrantReview') }}\n                <a\n                    target=\"_blank\"\n                    [href]=\"client.attributes['policyUri']\"\n                >\n                    {{ i18n.msgStr('oauthGrantPolicy') }}\n                </a>\n            }\n        </h3>\n    }\n    <form\n        class=\"form-actions\"\n        method=\"post\"\n        [action]=\"url.oauthAction\"\n    >\n        <input\n            type=\"hidden\"\n            name=\"code\"\n            [value]=\"oauth.code\"\n        />\n        <div [kcClass]=\"'kcFormGroupClass'\">\n            <div id=\"kc-form-options\">\n                <div [kcClass]=\"'kcFormOptionsWrapperClass'\"></div>\n            </div>\n\n            <div id=\"kc-form-buttons\">\n                <div [kcClass]=\"'kcFormButtonsWrapperClass'\">\n                    <input\n                        type=\"submit\"\n                        [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonLargeClass']\"\n                        [value]=\"i18n.msgStr('doYes')\"\n                    />\n                    <input\n                        type=\"submit\"\n                        [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonLargeClass']\"\n                        [value]=\"i18n.msgStr('doNo')\"\n                    />\n                </div>\n            </div>\n        </div>\n    </form>\n    <div class=\"clearfix\"></div>\n</div>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginOauthGrantComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-login-oauth-grant', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LoginOauthGrantComponent)
                        }
                    ], template: "@let client = kcContext.client;\n@let oauth = kcContext.oauth;\n@let url = kcContext.url;\n\n<ng-template #headerNode>\n    @let client = kcContext.client;\n    @if (client.attributes['logoUri']) {\n        <img\n            alt=\"\"\n            [src]=\"client.attributes['logoUri']\"\n        />\n    }\n    <p>\n        {{ i18n.msgStr('oauthGrantTitle', client.name ? i18n.advancedMsgStr(client.name) : client.clientId) }}\n    </p>\n</ng-template>\n\n<div\n    id=\"kc-oauth\"\n    class=\"content-area\"\n>\n    <h3>{{ i18n.msgStr('oauthGrantRequest') }}</h3>\n    <ul>\n        @for (clientScope of oauth.clientScopesRequested; track clientScope) {\n            <li>\n                <span>\n                    {{ i18n.advancedMsgStr(clientScope.consentScreenText) }}\n                    @if (clientScope.dynamicScopeParameter) {\n                        : <b>{{ clientScope.dynamicScopeParameter }}</b>\n                    }\n                </span>\n            </li>\n        }\n    </ul>\n\n    @if (client.attributes['policyUri'] || client.attributes['tosUri']) {\n        <h3>\n            @if (client.name) {\n                {{ i18n.msgStr('oauthGrantInformation', i18n.advancedMsgStr(client.name)) }}\n            } @else {\n                {{ i18n.msgStr('oauthGrantInformation', client.clientId) }}\n            }\n            @if (client.attributes['policyUri']) {\n                {{ i18n.msgStr('oauthGrantReview') }}\n                <a\n                    target=\"_blank\"\n                    [href]=\"client.attributes['policyUri']\"\n                >\n                    {{ i18n.msgStr('oauthGrantPolicy') }}\n                </a>\n            }\n        </h3>\n    }\n    <form\n        class=\"form-actions\"\n        method=\"post\"\n        [action]=\"url.oauthAction\"\n    >\n        <input\n            type=\"hidden\"\n            name=\"code\"\n            [value]=\"oauth.code\"\n        />\n        <div [kcClass]=\"'kcFormGroupClass'\">\n            <div id=\"kc-form-options\">\n                <div [kcClass]=\"'kcFormOptionsWrapperClass'\"></div>\n            </div>\n\n            <div id=\"kc-form-buttons\">\n                <div [kcClass]=\"'kcFormButtonsWrapperClass'\">\n                    <input\n                        type=\"submit\"\n                        [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonLargeClass']\"\n                        [value]=\"i18n.msgStr('doYes')\"\n                    />\n                    <input\n                        type=\"submit\"\n                        [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonLargeClass']\"\n                        [value]=\"i18n.msgStr('doNo')\"\n                    />\n                </div>\n            </div>\n        </div>\n    </form>\n    <div class=\"clearfix\"></div>\n</div>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LoginOauthGrantComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-login-oauth-grant.mjs.map
