import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class LoginOauth2DeviceVerifyUserCodeComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = false;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginOauth2DeviceVerifyUserCodeComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.2.0", version: "20.0.3", type: LoginOauth2DeviceVerifyUserCodeComponent, isStandalone: true, selector: "kc-login-oauth2-device-verify-user-code", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LoginOauth2DeviceVerifyUserCodeComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('oauth2DeviceVerificationTitle') }}\n</ng-template>\n<form\n    id=\"kc-user-verify-device-user-code-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.oauth2DeviceVerificationAction\"\n>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div [kcClass]=\"'kcLabelWrapperClass'\">\n            <label\n                for=\"device-user-code\"\n                [kcClass]=\"'kcLabelClass'\"\n            >\n                {{ i18n.msgStr('verifyOAuth2DeviceUserCode') }}\n            </label>\n        </div>\n\n        <div [kcClass]=\"'kcInputWrapperClass'\">\n            <input\n                id=\"device-user-code\"\n                name=\"device_user_code\"\n                autoComplete=\"off\"\n                type=\"text\"\n                autofocus\n                [kcClass]=\"'kcInputClass'\"\n            />\n        </div>\n    </div>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div\n            id=\"kc-form-options\"\n            [kcClass]=\"'kcFormOptionsClass'\"\n        >\n            <div [kcClass]=\"'kcFormOptionsWrapperClass'\"></div>\n        </div>\n\n        <div\n            id=\"kc-form-buttons\"\n            [kcClass]=\"'kcFormButtonsClass'\"\n        >\n            <div [kcClass]=\"'kcFormButtonsWrapperClass'\">\n                <input\n                    type=\"submit\"\n                    [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonLargeClass']\"\n                    [value]=\"i18n.msgStr('doSubmit')\"\n                />\n            </div>\n        </div>\n    </div>\n</form>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginOauth2DeviceVerifyUserCodeComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-login-oauth2-device-verify-user-code', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LoginOauth2DeviceVerifyUserCodeComponent)
                        }
                    ], template: "@let url = kcContext.url;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('oauth2DeviceVerificationTitle') }}\n</ng-template>\n<form\n    id=\"kc-user-verify-device-user-code-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.oauth2DeviceVerificationAction\"\n>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div [kcClass]=\"'kcLabelWrapperClass'\">\n            <label\n                for=\"device-user-code\"\n                [kcClass]=\"'kcLabelClass'\"\n            >\n                {{ i18n.msgStr('verifyOAuth2DeviceUserCode') }}\n            </label>\n        </div>\n\n        <div [kcClass]=\"'kcInputWrapperClass'\">\n            <input\n                id=\"device-user-code\"\n                name=\"device_user_code\"\n                autoComplete=\"off\"\n                type=\"text\"\n                autofocus\n                [kcClass]=\"'kcInputClass'\"\n            />\n        </div>\n    </div>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div\n            id=\"kc-form-options\"\n            [kcClass]=\"'kcFormOptionsClass'\"\n        >\n            <div [kcClass]=\"'kcFormOptionsWrapperClass'\"></div>\n        </div>\n\n        <div\n            id=\"kc-form-buttons\"\n            [kcClass]=\"'kcFormButtonsClass'\"\n        >\n            <div [kcClass]=\"'kcFormButtonsWrapperClass'\">\n                <input\n                    type=\"submit\"\n                    [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonLargeClass']\"\n                    [value]=\"i18n.msgStr('doSubmit')\"\n                />\n            </div>\n        </div>\n    </div>\n</form>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LoginOauth2DeviceVerifyUserCodeComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-login-oauth2-device-verify-user-code.mjs.map
