import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class LoginPageExpiredComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = false;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginPageExpiredComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.2.0", version: "20.0.3", type: LoginPageExpiredComponent, isStandalone: true, selector: "kc-login-page-expired", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LoginPageExpiredComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('pageExpiredTitle') }}\n</ng-template>\n\n<p\n    id=\"instruction1\"\n    class=\"instruction\"\n>\n    {{ i18n.msgStr('pageExpiredMsg1') }}\n    <a\n        id=\"loginRestartLink\"\n        [href]=\"url.loginRestartFlowUrl\"\n    >\n        {{ i18n.msgStr('doClickHere') }}\n    </a>\n    .<br />\n    {{ i18n.msgStr('pageExpiredMsg2') }}\n    <a\n        id=\"loginContinueLink\"\n        [href]=\"url.loginAction\"\n    >\n        {{ i18n.msgStr('doClickHere') }}\n    </a>\n    .\n</p>\n", changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginPageExpiredComponent, decorators: [{
            type: Component,
            args: [{ imports: [], selector: 'kc-login-page-expired', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LoginPageExpiredComponent)
                        }
                    ], template: "@let url = kcContext.url;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('pageExpiredTitle') }}\n</ng-template>\n\n<p\n    id=\"instruction1\"\n    class=\"instruction\"\n>\n    {{ i18n.msgStr('pageExpiredMsg1') }}\n    <a\n        id=\"loginRestartLink\"\n        [href]=\"url.loginRestartFlowUrl\"\n    >\n        {{ i18n.msgStr('doClickHere') }}\n    </a>\n    .<br />\n    {{ i18n.msgStr('pageExpiredMsg2') }}\n    <a\n        id=\"loginContinueLink\"\n        [href]=\"url.loginAction\"\n    >\n        {{ i18n.msgStr('doClickHere') }}\n    </a>\n    .\n</p>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LoginPageExpiredComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-login-page-expired.mjs.map
