import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { KcSanitizePipe } from '@keycloakify/angular/lib/pipes/kc-sanitize';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class LoginRecoveryAuthnCodeInputComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = true;
        this.displayMessage = this.kcContext.messagesPerField.existsError('recoveryCodeInput');
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginRecoveryAuthnCodeInputComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: LoginRecoveryAuthnCodeInputComponent, isStandalone: true, selector: "kc-login-recovery-authn-code-input", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LoginRecoveryAuthnCodeInputComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let recoveryAuthnCodesInputBean = kcContext.recoveryAuthnCodesInputBean;\n@let messagesPerField = kcContext.messagesPerField;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('auth-recovery-code-header') }}\n</ng-template>\n\n<form\n    id=\"kc-recovery-code-login-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div [kcClass]=\"'kcLabelWrapperClass'\">\n            <label\n                for=\"recoveryCodeInput\"\n                [kcClass]=\"'kcLabelClass'\"\n            >\n                {{ i18n.msgStr('auth-recovery-code-prompt', recoveryAuthnCodesInputBean.codeNumber.toString()) }}\n            </label>\n        </div>\n        <div [kcClass]=\"'kcInputWrapperClass'\">\n            <input\n                tabIndex=\"1\"\n                id=\"recoveryCodeInput\"\n                name=\"recoveryCodeInput\"\n                autoComplete=\"off\"\n                type=\"text\"\n                autoFocus\n                [attr.aria-invalid]=\"messagesPerField.existsError('recoveryCodeInput')\"\n                [kcClass]=\"'kcInputClass'\"\n            />\n            @if (messagesPerField.existsError('recoveryCodeInput')) {\n                <span\n                    id=\"input-error\"\n                    aria-live=\"polite\"\n                    [kcClass]=\"'kcInputErrorMessageClass'\"\n                    [innerHTML]=\"messagesPerField.get('recoveryCodeInput') | kcSanitize: 'html'\"\n                ></span>\n            }\n        </div>\n    </div>\n\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div\n            id=\"kc-form-options\"\n            [kcClass]=\"'kcFormOptionsWrapperClass'\"\n        >\n            <div [kcClass]=\"'kcFormOptionsWrapperClass'\"></div>\n        </div>\n        <div\n            id=\"kc-form-buttons\"\n            [kcClass]=\"'kcFormButtonsClass'\"\n        >\n            <input\n                name=\"login\"\n                id=\"kc-login\"\n                type=\"submit\"\n                [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n                [value]=\"i18n.msgStr('doLogIn')\"\n            />\n        </div>\n    </div>\n</form>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }, { kind: "pipe", type: KcSanitizePipe, name: "kcSanitize" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginRecoveryAuthnCodeInputComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective, KcSanitizePipe], selector: 'kc-login-recovery-authn-code-input', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LoginRecoveryAuthnCodeInputComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let recoveryAuthnCodesInputBean = kcContext.recoveryAuthnCodesInputBean;\n@let messagesPerField = kcContext.messagesPerField;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('auth-recovery-code-header') }}\n</ng-template>\n\n<form\n    id=\"kc-recovery-code-login-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div [kcClass]=\"'kcLabelWrapperClass'\">\n            <label\n                for=\"recoveryCodeInput\"\n                [kcClass]=\"'kcLabelClass'\"\n            >\n                {{ i18n.msgStr('auth-recovery-code-prompt', recoveryAuthnCodesInputBean.codeNumber.toString()) }}\n            </label>\n        </div>\n        <div [kcClass]=\"'kcInputWrapperClass'\">\n            <input\n                tabIndex=\"1\"\n                id=\"recoveryCodeInput\"\n                name=\"recoveryCodeInput\"\n                autoComplete=\"off\"\n                type=\"text\"\n                autoFocus\n                [attr.aria-invalid]=\"messagesPerField.existsError('recoveryCodeInput')\"\n                [kcClass]=\"'kcInputClass'\"\n            />\n            @if (messagesPerField.existsError('recoveryCodeInput')) {\n                <span\n                    id=\"input-error\"\n                    aria-live=\"polite\"\n                    [kcClass]=\"'kcInputErrorMessageClass'\"\n                    [innerHTML]=\"messagesPerField.get('recoveryCodeInput') | kcSanitize: 'html'\"\n                ></span>\n            }\n        </div>\n    </div>\n\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div\n            id=\"kc-form-options\"\n            [kcClass]=\"'kcFormOptionsWrapperClass'\"\n        >\n            <div [kcClass]=\"'kcFormOptionsWrapperClass'\"></div>\n        </div>\n        <div\n            id=\"kc-form-buttons\"\n            [kcClass]=\"'kcFormButtonsClass'\"\n        >\n            <input\n                name=\"login\"\n                id=\"kc-login\"\n                type=\"submit\"\n                [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n                [value]=\"i18n.msgStr('doLogIn')\"\n            />\n        </div>\n    </div>\n</form>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LoginRecoveryAuthnCodeInputComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-login-recovery-authn-code-input.mjs.map
