import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class LoginResetOtpComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = true;
        this.displayMessage = this.kcContext.messagesPerField.existsError('totp');
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginResetOtpComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: LoginResetOtpComponent, isStandalone: true, selector: "kc-login-reset-otp", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LoginResetOtpComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let configuredOtpCredentials = kcContext.configuredOtpCredentials;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('doLogIn') }}\n</ng-template>\n\n<form\n    id=\"kc-otp-reset-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <div [kcClass]=\"'kcInputWrapperClass'\">\n        <div [kcClass]=\"'kcInfoAreaWrapperClass'\">\n            <p id=\"kc-otp-reset-form-description\">\n                {{ i18n.msgStr('otp-reset-description') }}\n            </p>\n            @for (otpCredential of configuredOtpCredentials.userOtpCredentials; track otpCredential; let i = $index) {\n                <input\n                    type=\"radio\"\n                    name=\"selectedCredentialId\"\n                    [id]=\"'kc-otp-credential-' + i\"\n                    [kcClass]=\"'kcLoginOTPListInputClass'\"\n                    [value]=\"otpCredential.id\"\n                    [defaultChecked]=\"otpCredential.id === configuredOtpCredentials.selectedCredentialId\"\n                />\n                <label\n                    for=\"kc-otp-credential-0\"\n                    [kcClass]=\"'kcLoginOTPListClass'\"\n                    [tabIndex]=\"i\"\n                >\n                    <span [kcClass]=\"'kcLoginOTPListItemHeaderClass'\">\n                        <span [kcClass]=\"'kcLoginOTPListItemIconBodyClass'\">\n                            <i\n                                aria-hidden=\"true\"\n                                [kcClass]=\"'kcLoginOTPListItemIconClass'\"\n                            ></i>\n                        </span>\n                        <span [kcClass]=\"'kcLoginOTPListItemTitleClass'\">{{ otpCredential.userLabel }}</span>\n                    </span>\n                </label>\n            }\n            <div [kcClass]=\"'kcFormGroupClass'\">\n                <div\n                    id=\"kc-form-buttons\"\n                    [kcClass]=\"'kcFormButtonsClass'\"\n                >\n                    <input\n                        id=\"kc-otp-reset-form-submit\"\n                        type=\"submit\"\n                        [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n                        [value]=\"i18n.msgStr('doSubmit')\"\n                    />\n                </div>\n            </div>\n        </div>\n    </div>\n</form>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginResetOtpComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-login-reset-otp', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LoginResetOtpComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let configuredOtpCredentials = kcContext.configuredOtpCredentials;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('doLogIn') }}\n</ng-template>\n\n<form\n    id=\"kc-otp-reset-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <div [kcClass]=\"'kcInputWrapperClass'\">\n        <div [kcClass]=\"'kcInfoAreaWrapperClass'\">\n            <p id=\"kc-otp-reset-form-description\">\n                {{ i18n.msgStr('otp-reset-description') }}\n            </p>\n            @for (otpCredential of configuredOtpCredentials.userOtpCredentials; track otpCredential; let i = $index) {\n                <input\n                    type=\"radio\"\n                    name=\"selectedCredentialId\"\n                    [id]=\"'kc-otp-credential-' + i\"\n                    [kcClass]=\"'kcLoginOTPListInputClass'\"\n                    [value]=\"otpCredential.id\"\n                    [defaultChecked]=\"otpCredential.id === configuredOtpCredentials.selectedCredentialId\"\n                />\n                <label\n                    for=\"kc-otp-credential-0\"\n                    [kcClass]=\"'kcLoginOTPListClass'\"\n                    [tabIndex]=\"i\"\n                >\n                    <span [kcClass]=\"'kcLoginOTPListItemHeaderClass'\">\n                        <span [kcClass]=\"'kcLoginOTPListItemIconBodyClass'\">\n                            <i\n                                aria-hidden=\"true\"\n                                [kcClass]=\"'kcLoginOTPListItemIconClass'\"\n                            ></i>\n                        </span>\n                        <span [kcClass]=\"'kcLoginOTPListItemTitleClass'\">{{ otpCredential.userLabel }}</span>\n                    </span>\n                </label>\n            }\n            <div [kcClass]=\"'kcFormGroupClass'\">\n                <div\n                    id=\"kc-form-buttons\"\n                    [kcClass]=\"'kcFormButtonsClass'\"\n                >\n                    <input\n                        id=\"kc-otp-reset-form-submit\"\n                        type=\"submit\"\n                        [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n                        [value]=\"i18n.msgStr('doSubmit')\"\n                    />\n                </div>\n            </div>\n        </div>\n    </div>\n</form>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LoginResetOtpComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-login-reset-otp.mjs.map
