import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { KcSanitizePipe } from '@keycloakify/angular/lib/pipes/kc-sanitize';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class LoginResetPasswordComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = this.kcContext.messagesPerField.existsError('username');
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginResetPasswordComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: LoginResetPasswordComponent, isStandalone: true, selector: "kc-login-reset-password", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LoginResetPasswordComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let messagesPerField = kcContext.messagesPerField;\n@let realm = kcContext.realm;\n@let auth = kcContext.auth;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('emailForgotTitle') }}\n</ng-template>\n<ng-template #infoNode>\n    @let realm = kcContext.realm;\n    @if (realm.duplicateEmailsAllowed) {\n        {{ i18n.msgStr('emailInstructionUsername') }}\n    } @else {\n        {{ i18n.msgStr('emailInstruction') }}\n    }\n</ng-template>\n\n<form\n    id=\"kc-passwd-update-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div [kcClass]=\"'kcLabelWrapperClass'\">\n            <label\n                for=\"password-new\"\n                [kcClass]=\"'kcLabelClass'\"\n            >\n                @if (!realm.loginWithEmailAllowed) {\n                    {{ i18n.msgStr('username') }}\n                } @else if (!realm.registrationEmailAsUsername) {\n                    {{ i18n.msgStr('usernameOrEmail') }}\n                } @else {\n                    {{ i18n.msgStr('email') }}\n                }\n            </label>\n        </div>\n\n        <div [kcClass]=\"'kcInputWrapperClass'\">\n            <input\n                type=\"text\"\n                id=\"username\"\n                name=\"username\"\n                autoFocus\n                [kcClass]=\"'kcInputClass'\"\n                [attr.aria-invalid]=\"messagesPerField.existsError('username')\"\n                [defaultValue]=\"auth.attemptedUsername ?? ''\"\n            />\n\n            @if (messagesPerField.existsError('username')) {\n                <span\n                    id=\"input-error-username\"\n                    aria-live=\"polite\"\n                    [kcClass]=\"'kcInputErrorMessageClass'\"\n                    [innerHtml]=\"messagesPerField.get('username') | kcSanitize: 'html'\"\n                ></span>\n            }\n        </div>\n    </div>\n\n    <div [kcClass]=\"['kcFormGroupClass', 'kcFormSettingClass']\">\n        <div\n            id=\"kc-form-options\"\n            [kcClass]=\"'kcFormOptionsClass'\"\n        >\n            <div [kcClass]=\"'kcFormOptionsWrapperClass'\">\n                <span>\n                    <a\n                        [href]=\"url.loginUrl\"\n                        [innerHTML]=\"i18n.msgStr('backToLogin') | kcSanitize: 'html'\"\n                    ></a>\n                </span>\n            </div>\n        </div>\n        <div\n            id=\"kc-form-buttons\"\n            [kcClass]=\"'kcFormButtonsClass'\"\n        >\n            <input\n                type=\"submit\"\n                [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n                [value]=\"i18n.msgStr('doSubmit')\"\n            />\n        </div>\n    </div>\n</form>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }, { kind: "pipe", type: KcSanitizePipe, name: "kcSanitize" }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginResetPasswordComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective, KcSanitizePipe], selector: 'kc-login-reset-password', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LoginResetPasswordComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let messagesPerField = kcContext.messagesPerField;\n@let realm = kcContext.realm;\n@let auth = kcContext.auth;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('emailForgotTitle') }}\n</ng-template>\n<ng-template #infoNode>\n    @let realm = kcContext.realm;\n    @if (realm.duplicateEmailsAllowed) {\n        {{ i18n.msgStr('emailInstructionUsername') }}\n    } @else {\n        {{ i18n.msgStr('emailInstruction') }}\n    }\n</ng-template>\n\n<form\n    id=\"kc-passwd-update-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div [kcClass]=\"'kcLabelWrapperClass'\">\n            <label\n                for=\"password-new\"\n                [kcClass]=\"'kcLabelClass'\"\n            >\n                @if (!realm.loginWithEmailAllowed) {\n                    {{ i18n.msgStr('username') }}\n                } @else if (!realm.registrationEmailAsUsername) {\n                    {{ i18n.msgStr('usernameOrEmail') }}\n                } @else {\n                    {{ i18n.msgStr('email') }}\n                }\n            </label>\n        </div>\n\n        <div [kcClass]=\"'kcInputWrapperClass'\">\n            <input\n                type=\"text\"\n                id=\"username\"\n                name=\"username\"\n                autoFocus\n                [kcClass]=\"'kcInputClass'\"\n                [attr.aria-invalid]=\"messagesPerField.existsError('username')\"\n                [defaultValue]=\"auth.attemptedUsername ?? ''\"\n            />\n\n            @if (messagesPerField.existsError('username')) {\n                <span\n                    id=\"input-error-username\"\n                    aria-live=\"polite\"\n                    [kcClass]=\"'kcInputErrorMessageClass'\"\n                    [innerHtml]=\"messagesPerField.get('username') | kcSanitize: 'html'\"\n                ></span>\n            }\n        </div>\n    </div>\n\n    <div [kcClass]=\"['kcFormGroupClass', 'kcFormSettingClass']\">\n        <div\n            id=\"kc-form-options\"\n            [kcClass]=\"'kcFormOptionsClass'\"\n        >\n            <div [kcClass]=\"'kcFormOptionsWrapperClass'\">\n                <span>\n                    <a\n                        [href]=\"url.loginUrl\"\n                        [innerHTML]=\"i18n.msgStr('backToLogin') | kcSanitize: 'html'\"\n                    ></a>\n                </span>\n            </div>\n        </div>\n        <div\n            id=\"kc-form-buttons\"\n            [kcClass]=\"'kcFormButtonsClass'\"\n        >\n            <input\n                type=\"submit\"\n                [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n                [value]=\"i18n.msgStr('doSubmit')\"\n            />\n        </div>\n    </div>\n</form>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LoginResetPasswordComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-login-reset-password.mjs.map
