import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class LoginVerifyEmailComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = true;
        this.displayMessage = true;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginVerifyEmailComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.2.0", version: "20.0.3", type: LoginVerifyEmailComponent, isStandalone: true, selector: "kc-login-verify-email", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LoginVerifyEmailComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let user = kcContext.user;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('emailVerifyTitle') }}\n</ng-template>\n<ng-template #infoNode>\n    @let url = kcContext.url;\n    <p class=\"instruction\">\n        {{ i18n.msgStr('emailVerifyInstruction2') }}\n        <br />\n        <a [href]=\"url.loginAction\">{{ i18n.msgStr('doClickHere') }}</a>\n        &nbsp;\n        {{ i18n.msgStr('emailVerifyInstruction3') }}\n    </p>\n</ng-template>\n\n<p class=\"instruction\">\n    {{ i18n.msgStr('emailVerifyInstruction1', user?.email ?? '') }}\n</p>\n", changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginVerifyEmailComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-login-verify-email', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LoginVerifyEmailComponent)
                        }
                    ], template: "@let user = kcContext.user;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('emailVerifyTitle') }}\n</ng-template>\n<ng-template #infoNode>\n    @let url = kcContext.url;\n    <p class=\"instruction\">\n        {{ i18n.msgStr('emailVerifyInstruction2') }}\n        <br />\n        <a [href]=\"url.loginAction\">{{ i18n.msgStr('doClickHere') }}</a>\n        &nbsp;\n        {{ i18n.msgStr('emailVerifyInstruction3') }}\n    </p>\n</ng-template>\n\n<p class=\"instruction\">\n    {{ i18n.msgStr('emailVerifyInstruction1', user?.email ?? '') }}\n</p>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LoginVerifyEmailComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-login-verify-email.mjs.map
