import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class LoginX509InfoComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = false;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginX509InfoComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: LoginX509InfoComponent, isStandalone: true, selector: "kc-login-x509-info", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LoginX509InfoComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let x509 = kcContext.x509;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('doLogIn') }}\n</ng-template>\n<form\n    id=\"kc-x509-login-info\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div [kcClass]=\"'kcLabelWrapperClass'\">\n            <label\n                for=\"certificate_subjectDN\"\n                [kcClass]=\"'kcLabelClass'\"\n            >\n                {{ i18n.msgStr('clientCertificate') }}\n            </label>\n        </div>\n        @if (x509.formData.subjectDN) {\n            <div [kcClass]=\"'kcLabelWrapperClass'\">\n                <label\n                    id=\"certificate_subjectDN\"\n                    [kcClass]=\"'kcLabelClass'\"\n                >\n                    {{ x509.formData.subjectDN }}\n                </label>\n            </div>\n        } @else {\n            <div [kcClass]=\"'kcLabelWrapperClass'\">\n                <label\n                    id=\"certificate_subjectDN\"\n                    [kcClass]=\"'kcLabelClass'\"\n                >\n                    {{ i18n.msgStr('noCertificate') }}\n                </label>\n            </div>\n        }\n    </div>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        @if (x509.formData.isUserEnabled) {\n            <div [kcClass]=\"'kcLabelWrapperClass'\">\n                <label\n                    for=\"username\"\n                    [kcClass]=\"'kcLabelClass'\"\n                >\n                    {{ i18n.msgStr('doX509Login') }}\n                </label>\n            </div>\n            <div [kcClass]=\"'kcLabelWrapperClass'\">\n                <label\n                    id=\"username\"\n                    [kcClass]=\"'kcLabelClass'\"\n                >\n                    {{ x509.formData.username }}\n                </label>\n            </div>\n        }\n    </div>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div\n            id=\"kc-form-options\"\n            [kcClass]=\"'kcFormOptionsClass'\"\n        >\n            <div [kcClass]=\"'kcFormOptionsWrapperClass'\"></div>\n        </div>\n        <div\n            id=\"kc-form-buttons\"\n            [kcClass]=\"'kcFormButtonsClass'\"\n        >\n            <div [kcClass]=\"'kcFormButtonsWrapperClass'\">\n                <input\n                    name=\"login\"\n                    id=\"kc-login\"\n                    type=\"submit\"\n                    [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonLargeClass']\"\n                    [value]=\"i18n.msgStr('doContinue')\"\n                />\n                @if (x509.formData.isUserEnabled) {\n                    <input\n                        name=\"cancel\"\n                        id=\"kc-cancel\"\n                        type=\"submit\"\n                        [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonLargeClass']\"\n                        [value]=\"i18n.msgStr('doIgnore')\"\n                    />\n                }\n            </div>\n        </div>\n    </div>\n</form>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LoginX509InfoComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-login-x509-info', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LoginX509InfoComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let x509 = kcContext.x509;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('doLogIn') }}\n</ng-template>\n<form\n    id=\"kc-x509-login-info\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div [kcClass]=\"'kcLabelWrapperClass'\">\n            <label\n                for=\"certificate_subjectDN\"\n                [kcClass]=\"'kcLabelClass'\"\n            >\n                {{ i18n.msgStr('clientCertificate') }}\n            </label>\n        </div>\n        @if (x509.formData.subjectDN) {\n            <div [kcClass]=\"'kcLabelWrapperClass'\">\n                <label\n                    id=\"certificate_subjectDN\"\n                    [kcClass]=\"'kcLabelClass'\"\n                >\n                    {{ x509.formData.subjectDN }}\n                </label>\n            </div>\n        } @else {\n            <div [kcClass]=\"'kcLabelWrapperClass'\">\n                <label\n                    id=\"certificate_subjectDN\"\n                    [kcClass]=\"'kcLabelClass'\"\n                >\n                    {{ i18n.msgStr('noCertificate') }}\n                </label>\n            </div>\n        }\n    </div>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        @if (x509.formData.isUserEnabled) {\n            <div [kcClass]=\"'kcLabelWrapperClass'\">\n                <label\n                    for=\"username\"\n                    [kcClass]=\"'kcLabelClass'\"\n                >\n                    {{ i18n.msgStr('doX509Login') }}\n                </label>\n            </div>\n            <div [kcClass]=\"'kcLabelWrapperClass'\">\n                <label\n                    id=\"username\"\n                    [kcClass]=\"'kcLabelClass'\"\n                >\n                    {{ x509.formData.username }}\n                </label>\n            </div>\n        }\n    </div>\n    <div [kcClass]=\"'kcFormGroupClass'\">\n        <div\n            id=\"kc-form-options\"\n            [kcClass]=\"'kcFormOptionsClass'\"\n        >\n            <div [kcClass]=\"'kcFormOptionsWrapperClass'\"></div>\n        </div>\n        <div\n            id=\"kc-form-buttons\"\n            [kcClass]=\"'kcFormButtonsClass'\"\n        >\n            <div [kcClass]=\"'kcFormButtonsWrapperClass'\">\n                <input\n                    name=\"login\"\n                    id=\"kc-login\"\n                    type=\"submit\"\n                    [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonLargeClass']\"\n                    [value]=\"i18n.msgStr('doContinue')\"\n                />\n                @if (x509.formData.isUserEnabled) {\n                    <input\n                        name=\"cancel\"\n                        id=\"kc-cancel\"\n                        type=\"submit\"\n                        [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonLargeClass']\"\n                        [value]=\"i18n.msgStr('doIgnore')\"\n                    />\n                }\n            </div>\n        </div>\n    </div>\n</form>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LoginX509InfoComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-login-x509-info.mjs.map
