import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class LogoutConfirmComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = true;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LogoutConfirmComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: LogoutConfirmComponent, isStandalone: true, selector: "kc-logout-confirm", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => LogoutConfirmComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let logoutConfirm = kcContext.logoutConfirm;\n@let client = kcContext.client;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('logoutConfirmTitle') }}\n</ng-template>\n<div\n    id=\"kc-logout-confirm\"\n    class=\"content-area\"\n>\n    <p class=\"instruction\">{{ i18n.msgStr('logoutConfirmHeader') }}</p>\n    <form\n        class=\"form-actions\"\n        method=\"POST\"\n        [action]=\"url.logoutConfirmAction\"\n    >\n        <input\n            type=\"hidden\"\n            name=\"session_code\"\n            [value]=\"logoutConfirm.code\"\n        />\n        <div [kcClass]=\"'kcFormGroupClass'\">\n            <div id=\"kc-form-options\">\n                <div [kcClass]=\"'kcFormOptionsWrapperClass'\"></div>\n            </div>\n            <div\n                id=\"kc-form-buttons\"\n                class=\"kcFormGroupClass\"\n            >\n                <input\n                    tabIndex=\"4\"\n                    name=\"confirmLogout\"\n                    id=\"kc-logout\"\n                    type=\"submit\"\n                    [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n                    [value]=\"i18n.msgStr('doLogout')\"\n                />\n            </div>\n        </div>\n    </form>\n    <div id=\"kc-info-message\">\n        @if (!logoutConfirm.skipLink && client.baseUrl) {\n            <p>\n                <a [href]=\"client.baseUrl\">{{ i18n.msgStr('backToApplication') }}</a>\n            </p>\n        }\n    </div>\n</div>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: LogoutConfirmComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective], selector: 'kc-logout-confirm', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => LogoutConfirmComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let logoutConfirm = kcContext.logoutConfirm;\n@let client = kcContext.client;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('logoutConfirmTitle') }}\n</ng-template>\n<div\n    id=\"kc-logout-confirm\"\n    class=\"content-area\"\n>\n    <p class=\"instruction\">{{ i18n.msgStr('logoutConfirmHeader') }}</p>\n    <form\n        class=\"form-actions\"\n        method=\"POST\"\n        [action]=\"url.logoutConfirmAction\"\n    >\n        <input\n            type=\"hidden\"\n            name=\"session_code\"\n            [value]=\"logoutConfirm.code\"\n        />\n        <div [kcClass]=\"'kcFormGroupClass'\">\n            <div id=\"kc-form-options\">\n                <div [kcClass]=\"'kcFormOptionsWrapperClass'\"></div>\n            </div>\n            <div\n                id=\"kc-form-buttons\"\n                class=\"kcFormGroupClass\"\n            >\n                <input\n                    tabIndex=\"4\"\n                    name=\"confirmLogout\"\n                    id=\"kc-logout\"\n                    type=\"submit\"\n                    [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n                    [value]=\"i18n.msgStr('doLogout')\"\n                />\n            </div>\n        </div>\n    </form>\n    <div id=\"kc-info-message\">\n        @if (!logoutConfirm.skipLink && client.baseUrl) {\n            <p>\n                <a [href]=\"client.baseUrl\">{{ i18n.msgStr('backToApplication') }}</a>\n            </p>\n        }\n    </div>\n</div>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { LogoutConfirmComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-logout-confirm.mjs.map
