import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class SamlPostFormComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = true;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
        this.htmlFormElement = viewChild('setHtmlFormElement');
    }
    ngAfterViewInit() {
        if (this.htmlFormElement() === null || this.htmlFormElement() === undefined) {
            return;
        }
        if (this.kcContext.samlPost.url === '#') {
            alert('In a real Keycloak the user would be redirected immediately');
            return;
        }
        this.htmlFormElement().nativeElement.submit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: SamlPostFormComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: SamlPostFormComponent, isStandalone: true, selector: "kc-saml-post-form", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => SamlPostFormComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }, { propertyName: "htmlFormElement", first: true, predicate: ["setHtmlFormElement"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let samlPost = kcContext.samlPost;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('saml.post-form.title') }}\n</ng-template>\n<p>{{ i18n.msgStr('saml.post-form.message') }}</p>\n<form\n    #setHtmlFormElement\n    name=\"saml-post-binding\"\n    method=\"post\"\n    [action]=\"samlPost.url\"\n>\n    @if (!!samlPost.SAMLRequest) {\n        <input\n            type=\"hidden\"\n            name=\"SAMLRequest\"\n            [value]=\"samlPost.SAMLRequest\"\n        />\n    }\n    @if (!!samlPost.SAMLResponse) {\n        <input\n            type=\"hidden\"\n            name=\"SAMLResponse\"\n            [value]=\"samlPost.SAMLResponse\"\n        />\n    }\n    @if (!!samlPost.relayState) {\n        <input\n            type=\"hidden\"\n            name=\"RelayState\"\n            [value]=\"samlPost.relayState\"\n        />\n    }\n    <noscript>\n        <p>{{ i18n.msgStr('saml.post-form.js-disabled') }}</p>\n        <input\n            type=\"submit\"\n            [value]=\"i18n.msgStr('doContinue')\"\n        />\n    </noscript>\n</form>\n", changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: SamlPostFormComponent, decorators: [{
            type: Component,
            args: [{ imports: [], selector: 'kc-saml-post-form', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => SamlPostFormComponent)
                        }
                    ], template: "@let samlPost = kcContext.samlPost;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('saml.post-form.title') }}\n</ng-template>\n<p>{{ i18n.msgStr('saml.post-form.message') }}</p>\n<form\n    #setHtmlFormElement\n    name=\"saml-post-binding\"\n    method=\"post\"\n    [action]=\"samlPost.url\"\n>\n    @if (!!samlPost.SAMLRequest) {\n        <input\n            type=\"hidden\"\n            name=\"SAMLRequest\"\n            [value]=\"samlPost.SAMLRequest\"\n        />\n    }\n    @if (!!samlPost.SAMLResponse) {\n        <input\n            type=\"hidden\"\n            name=\"SAMLResponse\"\n            [value]=\"samlPost.SAMLResponse\"\n        />\n    }\n    @if (!!samlPost.relayState) {\n        <input\n            type=\"hidden\"\n            name=\"RelayState\"\n            [value]=\"samlPost.relayState\"\n        />\n    }\n    <noscript>\n        <p>{{ i18n.msgStr('saml.post-form.js-disabled') }}</p>\n        <input\n            type=\"submit\"\n            [value]=\"i18n.msgStr('doContinue')\"\n        />\n    </noscript>\n</form>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { SamlPostFormComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-saml-post-form.mjs.map
