import { NgClass } from '@angular/common';
import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class SelectAuthenticatorComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = true;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: SelectAuthenticatorComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: SelectAuthenticatorComponent, isStandalone: true, selector: "kc-select-authenticator", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => SelectAuthenticatorComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let auth = kcContext.auth;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('loginChooseAuthenticator') }}\n</ng-template>\n\n<form\n    id=\"kc-select-credential-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <div [kcClass]=\"'kcSelectAuthListClass'\">\n        @for (authenticationSelection of auth.authenticationSelections; track authenticationSelection; let i = $index) {\n            <button\n                type=\"submit\"\n                name=\"authenticationExecution\"\n                [kcClass]=\"'kcSelectAuthListItemClass'\"\n                [value]=\"authenticationSelection.authExecId\"\n            >\n                <div [kcClass]=\"'kcSelectAuthListItemIconClass'\">\n                    <i [kcClass]=\"['kcSelectAuthListItemIconPropertyClass', $any(authenticationSelection.iconCssClass)]\"></i>\n                </div>\n                <div [kcClass]=\"'kcSelectAuthListItemBodyClass'\">\n                    <div [kcClass]=\"'kcSelectAuthListItemHeadingClass'\">\n                        {{ i18n.advancedMsgStr(authenticationSelection.displayName) }}\n                    </div>\n                    <div [kcClass]=\"'kcSelectAuthListItemDescriptionClass'\">\n                        {{ i18n.advancedMsgStr(authenticationSelection.helpText) }}\n                    </div>\n                </div>\n                <div [kcClass]=\"'kcSelectAuthListItemFillClass'\"></div>\n                <div [kcClass]=\"'kcSelectAuthListItemArrowClass'\">\n                    <i [kcClass]=\"'kcSelectAuthListItemArrowIconClass'\"></i>\n                </div>\n            </button>\n        }\n    </div>\n</form>\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: SelectAuthenticatorComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective, NgClass], selector: 'kc-select-authenticator', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => SelectAuthenticatorComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let auth = kcContext.auth;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('loginChooseAuthenticator') }}\n</ng-template>\n\n<form\n    id=\"kc-select-credential-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <div [kcClass]=\"'kcSelectAuthListClass'\">\n        @for (authenticationSelection of auth.authenticationSelections; track authenticationSelection; let i = $index) {\n            <button\n                type=\"submit\"\n                name=\"authenticationExecution\"\n                [kcClass]=\"'kcSelectAuthListItemClass'\"\n                [value]=\"authenticationSelection.authExecId\"\n            >\n                <div [kcClass]=\"'kcSelectAuthListItemIconClass'\">\n                    <i [kcClass]=\"['kcSelectAuthListItemIconPropertyClass', $any(authenticationSelection.iconCssClass)]\"></i>\n                </div>\n                <div [kcClass]=\"'kcSelectAuthListItemBodyClass'\">\n                    <div [kcClass]=\"'kcSelectAuthListItemHeadingClass'\">\n                        {{ i18n.advancedMsgStr(authenticationSelection.displayName) }}\n                    </div>\n                    <div [kcClass]=\"'kcSelectAuthListItemDescriptionClass'\">\n                        {{ i18n.advancedMsgStr(authenticationSelection.helpText) }}\n                    </div>\n                </div>\n                <div [kcClass]=\"'kcSelectAuthListItemFillClass'\"></div>\n                <div [kcClass]=\"'kcSelectAuthListItemArrowClass'\">\n                    <i [kcClass]=\"'kcSelectAuthListItemArrowIconClass'\"></i>\n                </div>\n            </button>\n        }\n    </div>\n</form>\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { SelectAuthenticatorComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-select-authenticator.mjs.map
