import * as i0 from '@angular/core';
import { inject, viewChild, forwardRef, ChangeDetectionStrategy, Component } from '@angular/core';
import { USE_DEFAULT_CSS } from '@keycloakify/angular/lib/tokens/use-default-css';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { LogoutOtherSessionsComponent } from '@keycloakify/angular/login/components/logout-other-sessions';
import { KcClassDirective } from '@keycloakify/angular/login/directives/kc-class';
import { LOGIN_CLASSES } from '@keycloakify/angular/login/tokens/classes';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';

class WebauthnErrorComponent extends ComponentReference {
    constructor() {
        super(...arguments);
        this.kcContext = inject(KC_LOGIN_CONTEXT);
        this.i18n = inject(LOGIN_I18N);
        this.doUseDefaultCss = inject(USE_DEFAULT_CSS);
        this.classes = inject(LOGIN_CLASSES);
        this.displayRequiredFields = false;
        this.displayInfo = false;
        this.displayMessage = true;
        this.headerNode = viewChild('headerNode');
        this.infoNode = viewChild('infoNode');
        this.socialProvidersNode = viewChild('socialProvidersNode');
    }
    onClick() {
        // @ts-expect-error: Trusted Keycloak's code
        document.getElementById('isSetRetry').value = 'retry';
        // @ts-expect-error: Trusted Keycloak's code
        document.getElementById('executionValue').value = '${execution}';
        // @ts-expect-error: Trusted Keycloak's code
        document.getElementById('kc-error-credential-form').submit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: WebauthnErrorComponent, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "20.0.3", type: WebauthnErrorComponent, isStandalone: true, selector: "kc-webauthn-error", providers: [
            {
                provide: ComponentReference,
                useExisting: forwardRef(() => WebauthnErrorComponent)
            }
        ], viewQueries: [{ propertyName: "headerNode", first: true, predicate: ["headerNode"], descendants: true, isSignal: true }, { propertyName: "infoNode", first: true, predicate: ["infoNode"], descendants: true, isSignal: true }, { propertyName: "socialProvidersNode", first: true, predicate: ["socialProvidersNode"], descendants: true, isSignal: true }], usesInheritance: true, ngImport: i0, template: "@let url = kcContext.url;\n@let isAppInitiatedAction = kcContext.isAppInitiatedAction;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('webauthn-error-title') }}\n</ng-template>\n<form\n    id=\"kc-error-credential-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <input\n        type=\"hidden\"\n        id=\"executionValue\"\n        name=\"authenticationExecution\"\n    />\n    <input\n        type=\"hidden\"\n        id=\"isSetRetry\"\n        name=\"isSetRetry\"\n    />\n</form>\n<input\n    tabIndex=\"4\"\n    type=\"button\"\n    name=\"try-again\"\n    id=\"kc-try-again\"\n    [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n    [value]=\"i18n.msgStr('doTryAgain')\"\n    (click)=\"onClick()\"\n/>\n@if (isAppInitiatedAction) {\n    <form\n        id=\"kc-webauthn-settings-form\"\n        method=\"post\"\n        [action]=\"url.loginAction\"\n        [kcClass]=\"'kcFormClass'\"\n    >\n        <button\n            type=\"submit\"\n            id=\"cancelWebAuthnAIA\"\n            name=\"cancel-aia\"\n            value=\"true\"\n            [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n        >\n            {{ i18n.msgStr('doCancel') }}\n        </button>\n    </form>\n}\n", dependencies: [{ kind: "directive", type: KcClassDirective, selector: "[kcClass]", inputs: ["class", "ngClass", "kcClass"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: WebauthnErrorComponent, decorators: [{
            type: Component,
            args: [{ imports: [KcClassDirective, LogoutOtherSessionsComponent], selector: 'kc-webauthn-error', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                        {
                            provide: ComponentReference,
                            useExisting: forwardRef(() => WebauthnErrorComponent)
                        }
                    ], template: "@let url = kcContext.url;\n@let isAppInitiatedAction = kcContext.isAppInitiatedAction;\n\n<ng-template #headerNode>\n    {{ i18n.msgStr('webauthn-error-title') }}\n</ng-template>\n<form\n    id=\"kc-error-credential-form\"\n    method=\"post\"\n    [kcClass]=\"'kcFormClass'\"\n    [action]=\"url.loginAction\"\n>\n    <input\n        type=\"hidden\"\n        id=\"executionValue\"\n        name=\"authenticationExecution\"\n    />\n    <input\n        type=\"hidden\"\n        id=\"isSetRetry\"\n        name=\"isSetRetry\"\n    />\n</form>\n<input\n    tabIndex=\"4\"\n    type=\"button\"\n    name=\"try-again\"\n    id=\"kc-try-again\"\n    [kcClass]=\"['kcButtonClass', 'kcButtonPrimaryClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n    [value]=\"i18n.msgStr('doTryAgain')\"\n    (click)=\"onClick()\"\n/>\n@if (isAppInitiatedAction) {\n    <form\n        id=\"kc-webauthn-settings-form\"\n        method=\"post\"\n        [action]=\"url.loginAction\"\n        [kcClass]=\"'kcFormClass'\"\n    >\n        <button\n            type=\"submit\"\n            id=\"cancelWebAuthnAIA\"\n            name=\"cancel-aia\"\n            value=\"true\"\n            [kcClass]=\"['kcButtonClass', 'kcButtonDefaultClass', 'kcButtonBlockClass', 'kcButtonLargeClass']\"\n        >\n            {{ i18n.msgStr('doCancel') }}\n        </button>\n    </form>\n}\n" }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { WebauthnErrorComponent };
//# sourceMappingURL=keycloakify-angular-login-pages-webauthn-error.mjs.map
