import * as i0 from '@angular/core';
import { inject, Injectable } from '@angular/core';
import { takeUntilDestroyed } from '@angular/core/rxjs-interop';
import { DomSanitizer } from '@angular/platform-browser';
import { LOGIN_I18N } from '@keycloakify/angular/login/tokens/i18n';
import { KC_LOGIN_CONTEXT } from '@keycloakify/angular/login/tokens/kc-context';
import { DO_MAKE_USER_CONFIRM_PASSWORD } from '@keycloakify/angular/login/tokens/make-user-confirm-password';
import * as reactlessApi from 'keycloakify/login/lib/getUserProfileApi';
export { getButtonToDisplayForMultivaluedAttributeField } from 'keycloakify/login/lib/getUserProfileApi';
import { BehaviorSubject, map } from 'rxjs';
import { assert } from 'tsafe/assert';

{
    assert();
}
{
    assert();
}
{
    assert();
}
{
    assert();
}
{
    assert();
}
class UserProfileFormService {
    #kcContext = inject(KC_LOGIN_CONTEXT);
    #i18n = inject(LOGIN_I18N);
    #doMakeUserConfirmPassword = inject(DO_MAKE_USER_CONFIRM_PASSWORD);
    #domSanitizer = inject(DomSanitizer);
    #internal_formState$;
    #unsubscribe;
    constructor() {
        const api = reactlessApi.getUserProfileApi({
            kcContext: this.#kcContext,
            doMakeUserConfirmPassword: this.#doMakeUserConfirmPassword
        });
        this.#internal_formState$ = new BehaviorSubject(api.getFormState());
        this.#unsubscribe = api.subscribeToFormState(() => {
            this.#internal_formState$.next(api.getFormState());
        }).unsubscribe;
        this.formState$ = this.#internal_formState$.asObservable().pipe(takeUntilDestroyed(), map(formState_reactless => ({
            isFormSubmittable: formState_reactless.isFormSubmittable,
            formFieldStates: formState_reactless.formFieldStates.map(formFieldState_reactless => ({
                attribute: formFieldState_reactless.attribute,
                valueOrValues: formFieldState_reactless.valueOrValues,
                displayableErrors: formFieldState_reactless.displayableErrors.map(formFieldError_reactless => ({
                    errorMessage: this.#domSanitizer.bypassSecurityTrustHtml(this.#i18n.advancedMsgStr(...formFieldError_reactless.advancedMsgArgs)),
                    errorMessageStr: this.#i18n.advancedMsgStr(...formFieldError_reactless.advancedMsgArgs),
                    source: formFieldError_reactless.source,
                    fieldIndex: formFieldError_reactless.fieldIndex
                }))
            }))
        })));
        this.dispatchFormAction = api.dispatchFormAction;
    }
    ngOnDestroy() {
        this.#internal_formState$.complete();
        this.#internal_formState$.unsubscribe();
        if (this.#unsubscribe)
            this.#unsubscribe();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: UserProfileFormService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: UserProfileFormService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "20.0.3", ngImport: i0, type: UserProfileFormService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [] });

/**
 * Generated bundle index. Do not edit.
 */

export { UserProfileFormService };
//# sourceMappingURL=keycloakify-angular-login-services-user-profile-form.mjs.map
