import * as _angular_core from '@angular/core';
import { Signal } from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { FormAction, FormFieldError } from '@keycloakify/angular/login/services/user-profile-form';
import { Attribute } from 'keycloakify/login/KcContext';
import { ClassKey } from 'keycloakify/login/lib/kcClsx';
import { I18n } from '@keycloakify/angular/login/i18n';

declare class InputTagSelectsComponent extends ComponentReference {
    i18n: I18n;
    attribute: _angular_core.InputSignal<Attribute | undefined>;
    valueOrValues: _angular_core.InputSignal<string | string[] | undefined>;
    dispatchFormAction: _angular_core.OutputEmitterRef<FormAction>;
    displayableErrors: _angular_core.InputSignal<FormFieldError[] | undefined>;
    doUseDefaultCss: boolean;
    classes: Partial<Record<ClassKey, string>>;
    context: Signal<{
        inputType: 'radio' | 'checkbox';
        classDiv: ClassKey;
        classInput: ClassKey;
        classLabel: ClassKey;
    } | null>;
    options: Signal<string[]>;
    checked(option: string): boolean;
    onChange(event: Event, option: string): void;
    onBlur(): void;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<InputTagSelectsComponent, never>;
    static ɵcmp: _angular_core.ɵɵComponentDeclaration<InputTagSelectsComponent, "kc-input-tag-selects", never, { "attribute": { "alias": "attribute"; "required": false; "isSignal": true; }; "valueOrValues": { "alias": "valueOrValues"; "required": false; "isSignal": true; }; "displayableErrors": { "alias": "displayableErrors"; "required": false; "isSignal": true; }; }, { "dispatchFormAction": "dispatchFormAction"; }, never, never, true, never>;
}

export { InputTagSelectsComponent };
