import * as _angular_core from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { I18n } from '@keycloakify/angular/login/i18n';
import { FormFieldError, FormAction } from '@keycloakify/angular/login/services/user-profile-form';
import { Attribute } from 'keycloakify/login/KcContext';
import { ClassKey } from 'keycloakify/login/lib/kcClsx';

declare class InputTagComponent extends ComponentReference {
    i18n: I18n;
    attribute: _angular_core.InputSignal<Attribute | undefined>;
    valueOrValues: _angular_core.InputSignal<string | string[] | undefined>;
    fieldIndex: _angular_core.InputSignal<number | undefined>;
    values: _angular_core.InputSignal<string[] | undefined>;
    displayableErrors: _angular_core.InputSignal<FormFieldError[] | undefined>;
    dispatchFormAction: _angular_core.OutputEmitterRef<FormAction>;
    doUseDefaultCss: boolean;
    classes: Partial<Record<ClassKey, string>>;
    value: _angular_core.Signal<string | null>;
    onChange(event: Event): void;
    onBlur(): void;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<InputTagComponent, never>;
    static ɵcmp: _angular_core.ɵɵComponentDeclaration<InputTagComponent, "kc-input-tag", never, { "attribute": { "alias": "attribute"; "required": false; "isSignal": true; }; "valueOrValues": { "alias": "valueOrValues"; "required": false; "isSignal": true; }; "fieldIndex": { "alias": "fieldIndex"; "required": false; "isSignal": true; }; "values": { "alias": "values"; "required": false; "isSignal": true; }; "displayableErrors": { "alias": "displayableErrors"; "required": false; "isSignal": true; }; }, { "dispatchFormAction": "dispatchFormAction"; }, never, never, true, never>;
}

export { InputTagComponent };
