import * as _angular_core from '@angular/core';
import { TemplateRef, Type } from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { UserProfileFormFieldsComponent } from '@keycloakify/angular/login/components/user-profile-form-fields';
import { I18n } from '@keycloakify/angular/login/i18n';
import { KcContext } from '@keycloakify/angular/login/KcContext';
import { ClassKey } from 'keycloakify/login/lib/kcClsx';

declare class IdpReviewUserProfileComponent extends ComponentReference {
    #private;
    kcContext: KcContext.IdpReviewUserProfile;
    i18n: I18n;
    doUseDefaultCss: boolean;
    classes: Partial<Record<ClassKey, string>>;
    documentTitle: string | undefined;
    bodyClassName: string | undefined;
    displayRequiredFields: boolean;
    displayInfo: boolean;
    displayMessage: boolean;
    headerNode: _angular_core.Signal<TemplateRef<HTMLElement> | undefined>;
    infoNode: _angular_core.Signal<TemplateRef<HTMLElement> | undefined>;
    socialProvidersNode: _angular_core.Signal<TemplateRef<HTMLElement> | undefined>;
    userProfileFormFields: _angular_core.InputSignal<Type<UserProfileFormFieldsComponent> | undefined>;
    isFormSubmittable: _angular_core.Signal<boolean>;
    onCallback(): void;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<IdpReviewUserProfileComponent, never>;
    static ɵcmp: _angular_core.ɵɵComponentDeclaration<IdpReviewUserProfileComponent, "kc-idp-review-user-profile", never, { "userProfileFormFields": { "alias": "userProfileFormFields"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

export { IdpReviewUserProfileComponent };
