import * as _angular_core from '@angular/core';
import { AfterViewInit, TemplateRef } from '@angular/core';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { I18n } from '@keycloakify/angular/login/i18n';
import { KcContext } from '@keycloakify/angular/login/KcContext';
import { LoginResourceInjectorService } from '@keycloakify/angular/login/services/login-resource-injector';
import { ClassKey } from 'keycloakify/login/lib/kcClsx';

declare class LoginRecoveryAuthnCodeConfigComponent extends ComponentReference implements AfterViewInit {
    kcContext: KcContext.LoginRecoveryAuthnCodeConfig;
    i18n: I18n;
    loginResourceInjectorService: LoginResourceInjectorService;
    doUseDefaultCss: boolean;
    classes: Partial<Record<ClassKey, string>>;
    documentTitle: string | undefined;
    bodyClassName: string | undefined;
    displayRequiredFields: boolean;
    displayInfo: boolean;
    displayMessage: boolean;
    headerNode: _angular_core.Signal<TemplateRef<HTMLElement> | undefined>;
    infoNode: _angular_core.Signal<TemplateRef<HTMLElement> | undefined>;
    socialProvidersNode: _angular_core.Signal<TemplateRef<HTMLElement> | undefined>;
    toggleRecoveryCodesConfirmation: _angular_core.WritableSignal<boolean>;
    olRecoveryCodesListId: string;
    constructor();
    ngAfterViewInit(): void;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<LoginRecoveryAuthnCodeConfigComponent, never>;
    static ɵcmp: _angular_core.ɵɵComponentDeclaration<LoginRecoveryAuthnCodeConfigComponent, "kc-login-recovery-authn-code-config", never, {}, {}, never, never, true, never>;
}

export { LoginRecoveryAuthnCodeConfigComponent };
