import * as i0 from '@angular/core';
import { OnDestroy } from '@angular/core';
import { SafeHtml } from '@angular/platform-browser';
import { I18n } from '@keycloakify/angular/login/i18n';
import { Validators, PasswordPolicies, Attribute } from 'keycloakify/login/KcContext';
import * as reactlessApi from 'keycloakify/login/lib/getUserProfileApi';
export { getButtonToDisplayForMultivaluedAttributeField } from 'keycloakify/login/lib/getUserProfileApi';
import { Observable } from 'rxjs';

type FormFieldError = {
    errorMessage: SafeHtml;
    errorMessageStr: string;
    source: FormFieldError.Source;
    fieldIndex: number | undefined;
};
declare namespace FormFieldError {
    type Source = Source.Validator | Source.PasswordPolicy | Source.Server | Source.Other;
    namespace Source {
        type Validator = {
            type: 'validator';
            name: keyof Validators;
        };
        type PasswordPolicy = {
            type: 'passwordPolicy';
            name: keyof PasswordPolicies;
        };
        type Server = {
            type: 'server';
        };
        type Other = {
            type: 'other';
            rule: 'passwordConfirmMatchesPassword' | 'requiredField';
        };
    }
}
type FormFieldState = {
    attribute: Attribute;
    displayableErrors: FormFieldError[];
    valueOrValues: string | string[];
};
type FormState = {
    isFormSubmittable: boolean;
    formFieldStates: FormFieldState[];
};
type FormAction = {
    action: 'update';
    name: string;
    valueOrValues: string | string[];
    /** Default false */
    displayErrorsImmediately?: boolean;
} | {
    action: 'focus lost';
    name: string;
    fieldIndex: number | undefined;
};
type KcContextLike = reactlessApi.KcContextLike;
type I18nLike = Pick<I18n, 'advancedMsgStr'>;
declare class UserProfileFormService implements OnDestroy {
    #private;
    formState$: Observable<FormState>;
    dispatchFormAction: (action: FormAction) => void;
    constructor();
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserProfileFormService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<UserProfileFormService>;
}

export { FormFieldError, UserProfileFormService };
export type { FormAction, FormFieldState, FormState, I18nLike, KcContextLike };
