import * as _angular_core from '@angular/core';
import { Renderer2, Type, Signal, ViewContainerRef, TemplateRef } from '@angular/core';
import { Meta, Title } from '@angular/platform-browser';
import { ComponentReference } from '@keycloakify/angular/login/classes/component-reference';
import { I18n } from '@keycloakify/angular/login/i18n';
import { KcContext } from '@keycloakify/angular/login/KcContext';
import { LoginResourceInjectorService } from '@keycloakify/angular/login/services/login-resource-injector';
import { ClassKey } from 'keycloakify/login/lib/kcClsx';
import { Observable } from 'rxjs';

declare class TemplateComponent extends ComponentReference {
    #private;
    i18n: I18n;
    renderer: Renderer2;
    meta: Meta;
    title: Title;
    kcContext: KcContext;
    doUseDefaultCss: boolean;
    classes: Partial<Record<ClassKey, string>>;
    loginResourceInjectorService: LoginResourceInjectorService;
    displayInfo: boolean;
    displayMessage: boolean;
    displayRequiredFields: boolean;
    documentTitle: string | undefined;
    bodyClassName: string | undefined;
    isReadyToRender$: Observable<boolean>;
    page: _angular_core.InputSignal<Type<unknown> | undefined>;
    pageRef: Signal<ViewContainerRef | undefined>;
    userProfileFormFields: _angular_core.InputSignal<Type<unknown> | undefined>;
    headerNode: Signal<TemplateRef<HTMLElement>> | undefined;
    infoNode: Signal<TemplateRef<HTMLElement>> | undefined;
    socialProvidersNode: Signal<TemplateRef<HTMLElement>> | undefined;
    constructor();
    private applyKcIndexClasses;
    tryAnotherWay(): void;
    onComponentCreated(compRef: object): void;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<TemplateComponent, never>;
    static ɵcmp: _angular_core.ɵɵComponentDeclaration<TemplateComponent, "kc-root", never, { "page": { "alias": "page"; "required": false; "isSignal": true; }; "userProfileFormFields": { "alias": "userProfileFormFields"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

export { TemplateComponent };
